#include "list_rom.h"
#include "CRC_ctl.h"

ROM_TYPE ROM_LIST[NB_ROM] = {
    {//ROM NUMBER 0
    0X8C4588E2    ,"1941 COUNTER ATTACK - HUDSON [JAP] SGX"
    ,"HC91048"
    ,"23-08-91"
    ,"8M"
    ,"2p"
    ,SUPER_GRAPHX
   },
    {//ROM NUMBER 1
    0X4C2126B0    ,"ALDYNES - HUDSON [JAP] SGX"
    ,"HC91044"
    ,"22-02-91"
    ,"8M"
    ,"1p"
    ,SUPER_GRAPHX
   },
    {//ROM NUMBER 2
    0XB486A8ED    ,"DAIMAKAIMURA - CAPCOM [JAP] SGX"
    ,"NAPH-1008"
    ,"27-07-90"
    ,"8M"
    ,"1p"
    ,SUPER_GRAPHX
   },
    {//ROM NUMBER 3
    0X3B13AF61    ,"BATTLE ACE - HUDSON [JAP] SGX "
    ,"HC89026"
    ,"30-11-89"
    ,"4M"
    ,""
    ,SUPER_GRAPHX
   },
    {//ROM NUMBER 4
    0X1F041166    ,"GRANDZORT - [JAP] SGX"
    ,""
    ,""
    ,""
    ,""
    ,SUPER_GRAPHX
   },
    {//ROM NUMBER 5
    0X0517DA65    ,"GRADIUS - KONAMI [JAP]"
    ,"KM91001"
    ,"15-11-91"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 6
    0X14FAD3BA    ,"PAC-LAND - NAMCO [???]"
    ,""
    ,""
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 7
    0X1B5B1CB1    ,"DIE HARD - NICHIBUTSU [JAP]"
    ,"NB90003"
    ,"28-09-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 8
    0X25BE2B81    ,"AERO BLASTERS - KANEKO [USA]"
    ,"TGX040051"
    ,""
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 9
    0X1B2D0077    ,"TERRA CRESTA II - NIHON BUSSAN [JAP]"
    ,"NB96002"
    ,"27-11-92"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 10
    0XC356216B    ,"TAKIN IT TO THE HOOP - AICOM [USA]"
    ,""
    ,""
    ,"???"
    ,"2p?"
   },
    {//ROM NUMBER 11
    0X09A0BFCC    ,"S.C.I. - SPECIAL CRIMINAL INVESTIGATION - TAITO [USA]"
    ,"TP03016"
    ,"25-01-91"
    ,"4M"
    ,"4p"
   },
    {//ROM NUMBER 12
    0X2CB92290    ,"MR.HELI NO DAI BOUKEN - IREM [JAP]"
    ,"IC01002"
    ,"01-12-89"
    ,"4M"
    ,"aka MR.HELI's BIG ADVENTURE, 1p"
   },
    {//ROM NUMBER 13
    0X053A0F83    ,"DEEP BLUE - PACK-IN-VIDEO [???]"
    ,""
    ,""
    ,"2M"
    ,"aka DEEP BLUE KAITEI SHINWA, 1p"
   },
    {//ROM NUMBER 14
    0XD15CB6BB    ,"STREET FIGHTER II' CHAMPION EDITION - CAPCOM [JAP]"
    ,"HE93002"
    ,"12-06-93"
    ,"20M"
    ,"2p"
   },
    {//ROM NUMBER 15
    0X7632DB90    ,"P 47 THE FREEDOM FIGHTER - AICOM [JAP]"
    ,"AC89001"
    ,"20-03-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 16
    0X8DEF5AA1    ,"POWER TENNIS - HUDSON [JAP]"
    ,"HC93062"
    ,"25-06-93"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 17
    0XEECFA5FD    ,"DAVIS CUP TENNIS - LORICIEL [USA]"
    ,"TGX040061"
    ,""
    ,"4M"
    ,"4p"
   },
    {//ROM NUMBER 18
    0X560D2305    ,"FINAL MATCH TENNIS - HUMAN [JAP]"
    ,"HM91004"
    ,"01-03-91"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 19
    0X6B319457    ,"SPLATTERHOUSE - NAMCO [???]"
    ,""
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 20
    0X3219849C    ,"DRAGON SABER - NAMCO [JAP]"
    ,"NC91005"
    ,"27-12-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 21
    0X3F982D0F    ,"TURRICAN - ACCOLADE [USA]"
    ,"ATGX04TUTG"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 22
    0X25E0F6E9    ,"POWER DRIFT - ASMIK [JAP]"
    ,"AS02002"
    ,"13-04-90"
    ,"4M"
    ,"TGX020005"
   },
    {//ROM NUMBER 23
    0XE203F223    ,"OUT RUN - SEGA [JAP]"
    ,"NAPH-1016"
    ,"21-12-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 24
    0XDDC3E809    ,"THUNDER BLADE - SEGA [JAP]"
    ,"NAPH-1015"
    ,"07-12-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 25
    0X64580427    ,"SPACE HARRIER - NEC AVENUE [JAP]"
    ,"H67G-1002"
    ,"09-12-88"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 26
    0X2DB4C1FD    ,"GHOST MANOR - ICOM [USA]"
    ,"TGX040076"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 27
    0X1C6FF459    ,"SPIN PAIR - MEDIA RINGS [JAP]"
    ,"MR90002"
    ,"14-12-90"
    ,"2M"
    ,"1p, linkable"
   },
    {//ROM NUMBER 28
    0XD8373DE6    ,"RABIO LEPIUS SPECIAL - VIDEO SYSTEM [JAP]"
    ,"VS-90003"
    ,"19-10-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 29
    0X03E28CFF    ,"VICTORY RUN - HUDSON [???]"
    ,"HC62003"
    ,"28-12-87"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 30
    0X2CEE30EE    ,"CHAMPIONS FOREVER BOXING - NEC [USA]"
    ,"TGX040077"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 31
    0X4A3DF3CA    ,"BARUNBA - NAMCO [JAP]"
    ,"NC90003"
    ,"27-04-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 32
    0X6923D736    ,"SHANGHAI - HUDSON [JAP]"
    ,"HC62004"
    ,"30-10-87"
    ,"1M"
    ,"1p"
   },
    {//ROM NUMBER 33
    0X6C30F0AC    ,"15 IN 1 MEGA COLLECTION - IMAGE [JAP]"
    ,"??"
    ,"??"
    ,"??"
    ,"BOOTLEG"
   },
    {//ROM NUMBER 34
    0X637BA71D    ,"5 IN 1 FAMI COLLECTION - IMAGE [JAP]"
    ,"??"
    ,"??"
    ,"??"
    ,"BOOTLEG"
   },
    {//ROM NUMBER 35
    0X67AAB7A1    ,"ZIPANG - PACK-IN-VIDEO [JAP]"
    ,"PV-1005"
    ,"14-12-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 36
    0X4A135429    ,"DARKWING DUCK - DISNEY [USA]"
    ,"TGX040066"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 37
    0X56739BC7    ,"DEAD MOON - NATSUME [JAP?]"
    ,""
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 38
    0X44E7DF53    ,"HATRIS - BULLET PROOF [JAP]"
    ,"MC91002"
    ,"24-05-91"
    ,""
    ,""
   },
    {//ROM NUMBER 39
    0XFF898F87    ,"OPERATION WOLF - NEC AVENUE [JAP]"
    ,"NAPH-1010"
    ,"31-08-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 40
    0XFAECCE20    ,"SALAMANDER - KONAMI [JAP]"
    ,"KM91002"
    ,"06-12-91"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 41
    0XF8F85EEC    ,"XEVIOUS - NAMCO [JAP]"
    ,"NC90004"
    ,"29-06-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 42
    0X0BE0E0A8    ,"DRAGON'S CURSE - HUDSON [USA]"
    ,"TGX020039"
    ,""
    ,"2M"
    ,"aka ADVENTURE ISLAND, 1p"
   },
    {//ROM NUMBER 43
    0XA5290DD0    ,"SPIRAL WAVE - MEDIA RINGS [JAP]"
    ,"MR91004"
    ,"13-12-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 44
    0X3AEA2F8F    ,"TRICKY - IGS [JAP]"
    ,"AI-03004"
    ,"06-07-91"
    ,""
    ,"aka TRICKY KICK"
   },
    {//ROM NUMBER 45
    0X4D539C9F    ,"SKWEEK - VICTOR [JAP]"
    ,"JC63011"
    ,"02-08-91"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 46
    0XE5E7B8B7    ,"HYPERDYNE SIDEARMS - CAPCOM [JAP]"
    ,"H54G-1004"
    ,"14-07-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 47
    0XC9D7426A    ,"BREAK IN - NAXAT [JAP]"
    ,"NX89002"
    ,"10-08-89"
    ,"2M"
    ,"4p"
   },
    {//ROM NUMBER 48
    0X67EC5EC4    ,"DROP ROCK HORA HORA - DATA EAST [JAP]"
    ,"DE90005"
    ,"30-03-90"
    ,"2M"
    ,"aka DROP OFF"
   },
    {//ROM NUMBER 49
    0X99496DB3    ,"SPACE INVADERS FUKKATSU NO HI - TAITO [JAP]"
    ,"TP02008"
    ,"02-03-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 50
    0X99F7A572    ,"COLUMNS - LASER SOFT [JAP]"
    ,"TJ03002"
    ,"29-03-91"
    ,"1M"
    ,"1p, linkable"
   },
    {//ROM NUMBER 51
    0X67573BAC    ,"NINJA GAIDEN - HUDSON [JAP]"
    ,"HC92052"
    ,"24-01-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 52
    0X4F2844B0    ,"DELIVERY BOY - TONKIN HOUSE [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 53
    0X20EF87FD    ,"FORMATION ARMED F - BIG DON [JAP]"
    ,"PV-2004"
    ,"23-03-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 54
    0X8C565CB6    ,"ORDYNE - NAMCO [JAP]"
    ,"NC89004"
    ,"08-09-89"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 55
    0XB24E6504    ,"YO' BRO - ICOM [USA]"
    ,"TGX040054"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 56
    0XB2EF558D    ,"LIQUID KIDS - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 57
    0X740491C2    ,"PC DENJIN - HUDSON [JAP]"
    ,"HC92053"
    ,"20-11-92"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 58
    0XE3284BA7    ,"AIR ZONK - HUDSON [USA]"
    ,"TGX040084"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 59
    0XAF2DD2AF    ,"FINAL SOLDIER - HUDSON [JAP]"
    ,"HC91045"
    ,"05-07-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 60
    0XD50FF730    ,"F1 DREAM - NEC AVENUE [JAP]"
    ,"H54G-1005"
    ,"25-08-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 61
    0XE14DEE08    ,"F1 CIRCUS - NICHIBUTSU [JAP]"
    ,"NB89002"
    ,"14-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 62
    0XD7CFD70F    ,"F1 CIRCUS '91 - NICHIBUTSU [JAP]"
    ,"NB91004"
    ,"12-07-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 63
    0XB268F2A2    ,"F1 CIRCUS '92 - NICHIBUTSU [JAP]"
    ,"??"
    ,"1992"
    ,"??"
    ,""
   },
    {//ROM NUMBER 64
    0XB4D29E3B    ,"CORYOON CHILD OF DRAGON - NAXAT [JAP]"
    ,"NX91004"
    ,"29-11-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 65
    0X442405D5    ,"DRAGON EGG! - MASYNYA [JAP]"
    ,"NCS91003"
    ,"27-09-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 66
    0XBF3E2CC7    ,"HANI IN THE SKY - FACE [JAP]"
    ,"FA64-0001"
    ,"01-03-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 67
    0XE88987BB    ,"FIRE PRO WRESTLING: 2ND BOUT - HUMAN [JAP]"
    ,"HM91005"
    ,"30-08-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 68
    0X534E8808    ,"FIRE PRO WRESTLING 3: LEGEND BOUT - HUMAN [JAP]"
    ,"HM92006"
    ,"13-11-92"
    ,"8M"
    ,""
   },
    {//ROM NUMBER 69
    0X03883EE8    ,"PSYCHO CHASER - NAXAT [JAP]"
    ,"NX90003"
    ,"06-04-90"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 70
    0X2DF97BD0    ,"CYBER COMBAT POLICE - FACE [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 71
    0XA594FAC0    ,"CYBER KNIGHT - TONKIN HOUSE [JAP]"
    ,"TON90003"
    ,"12-10-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 72
    0X56488B36    ,"SUPER METAL CRUSHER - PACK-IN-VIDEO [JAP]"
    ,"PV-1007"
    ,"29-11-91"
    ,""
    ,""
   },
    {//ROM NUMBER 73
    0X25A02BEE    ,"METAL STOKER - FACE [JAP]"
    ,"FA03-009"
    ,"12-07-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 74
    0X92521F34    ,"IMPOSSAMOLE - NEC [USA]"
    ,"TGX040062"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 75
    0X647718F9    ,"PARODIUS - KONAMI [JAP]"
    ,"KM92003"
    ,"21-02-92"
    ,"8M"
    ,""
   },
    {//ROM NUMBER 76
    0XAD450DFC    ,"HERO AGENT - NEC HOME ELECTRONICS [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 77
    0XC28B0D8A    ,"LEGEND OF HERO TONMA, THE - IREM [JAP]"
    ,"IC03005"
    ,"13-03-91"
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 78
    0XDF10C895    ,"KAISERS QUEST - UPL [JAP]"
    ,"??"
    ,"???"
    ,"??"
    ,"??"
   },
    {//ROM NUMBER 79
    0XC6F764EC    ,"LADY SWORD - GAMES EXPRESS [JAP]"
    ,"T4955754200922"
    ,""
    ,"8M"
    ,"1p"
   },
    {//ROM NUMBER 80
    0X17BA3032    ,"DIGITAL CHAMP - NAXAT [JAP]"
    ,"NX89003"
    ,"13-10-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 81
    0XF370B58E    ,"GUNBOAT - NEC [USA]"
    ,"TGX040060"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 82
    0X97C5EE9A    ,"TOY SHOP BOYS - VICTOR [JAP]"
    ,"JC63009"
    ,"14-12-90"
    ,""
    ,""
   },
    {//ROM NUMBER 83
    0XA15A1F37    ,"MARCHEN MAZE - NAMCO [JAP]"
    ,"NC90008"
    ,"11-12-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 84
    0XA80C565F    ,"IMAGE FIGHT - IREM [JAP]"
    ,"IC02003"
    ,"27-07-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 85
    0XC614116C    ,"KNIGHT RIDER SPECIAL - PACK-IN-VIDEO [JAP]"
    ,"PV1003"
    ,"22-12-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 86
    0X9107BCC8    ,"TIGER SHARK - NEC AVENUE [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 87
    0X29EEC024    ,"POWER SPORTS - HUDSON [JAP]"
    ,"HC92058"
    ,"10-10-92"
    ,"4M"
    ,"aka WORLD SPORTS COMPETITION, 5p"
   },
    {//ROM NUMBER 88
    0XF2E46D25    ,"MONSTER PRO WRESTLING - ASK KODANSHA [JAP]"
    ,"AK91002"
    ,"22-11-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 89
    0X965C95B3    ,"PUZZNIC - TAITO [JAP]"
    ,"TP02011"
    ,"29-06-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 90
    0XA9AB2954    ,"WORLD JOCKEY - NAMCO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 91
    0XDA9A2DC9    ,"BATTLE ROYAL [USA]"
    ,"???"
    ,"???"
    ,"??"
    ,""
   },
    {//ROM NUMBER 92
    0X7424452E    ,"FALCON - SPECTRUM HOLOBYTE [USA]"
    ,"TGX040067"
    ,""
    ,"4M"
    ,"1p, linkable"
   },
    {//ROM NUMBER 93
    0X5CF59D80    ,"DETANA!! TWINBEE - KONAMI [JAP]"
    ,"KM92004"
    ,"28-02-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 94
    0XD20F382F    ,"TITAN - TITUS [JAP]"
    ,"NX91001"
    ,"15-03-91"
    ,""
    ,""
   },
    {//ROM NUMBER 95
    0XDD0EBF8C    ,"MAGICAL CHASE - PALSOFT [JAP]"
    ,"PL91001"
    ,"15-11-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 96
    0XD7921DF2    ,"SON SON II - NEC AVENUE [JAP]"
    ,"H54G-1003"
    ,"27-01-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 97
    0XDD175EFD    ,"ATOMIC ROBOKID SPECIAL - UPL [JAP]"
    ,"UP01001"
    ,"19-01-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 98
    0XE415EA19    ,"NEW ADVENTURE ISLAND - HUDSON [JAP]"
    ,"TGX040080"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 99
    0X1828D2E5    ,"FIGHTING RUN - NICHIBUTSU [JAP]"
    ,"NB91005"
    ,"29-11-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 100
    0X59D07314    ,"WONDER MOMO - NAMCO [JAP]"
    ,"NC64001"
    ,"21-04-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 101
    0X0DF57C90    ,"BIO BOXER - NAMCO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 102
    0X8420B12B    ,"SOLDIER BLADE - HUDSON [JAP]"
    ,"HC92056"
    ,"10-07-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 103
    0XA9FAB7D2    ,"NIGHT CREATURES - MANLEY & ASSOCIATES [USA]"
    ,"TGX040069"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 104
    0XEDA32D95    ,"TALESPIN - NEC [USA]"
    ,"TGX040056"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 105
    0X727F4656    ,"STRATEGO - ACCOLADE [JAP]"
    ,"JC63012"
    ,"24-07-92"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 106
    0XCA72A828    ,"AFTER BURNER II - SEGA [JAP]"
    ,"NAPH-1011"
    ,"28-09-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 107
    0XCFEC1D6A    ,"TIME CRUISE - FACE [USA]"
    ,"TGX040090"
    ,""
    ,"4M"
    ,""
	 ,PINBALL_KEY
   },
    {//ROM NUMBER 108
    0X013A747F    ,"DORAEMON NOBITA NO DORABIAN NIGHT - HUDSON [JAP]"
    ,"HC91051"
    ,"06-12-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 109
    0XC0CB5ADD    ,"POCKY AND ROCKY [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 110
    0X85101C20    ,"DOWNLOAD - NEC AVENUE [JAP]"
    ,"NAPH-1007"
    ,"22-06-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 111
    0XFFD92458    ,"BODY CONQUEST 2 - GAMES EXPRESS [JAP]"
    ,"T4955754200953"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 112
    0XB74EC562    ,"OVERRIDE - DEKA [JAP]"
    ,"DE90006"
    ,"08-01-91"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 113
    0XA3303978    ,"VALKYRIE NO DENSETSU - NAMCO [JAP]"
    ,"NC90006"
    ,"09-09-90"
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 114
    0XCA12AFBA    ,"TENSEIRYU SAINT DRAGON - AICOM [JAP]"
    ,"AC90001"
    ,"21-12-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 115
    0XEEB6DD43    ,"DRAGON FIGHTER - TONKIN HOUSE [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 116
    0XC0AF0947    ,"VAMPIRE EMPEROR - MASYNYA [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 117
    0XB926C682    ,"GENPEI TORAMADEN - NAMCO [JAP]"
    ,"NC90001"
    ,"16-03-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 118
    0X59E44F45    ,"BATTLE LODE RUNNER - HUDSON [JAP]"
    ,"HS93054"
    ,"10-02-93"
    ,"2M"
    ,"5p"
   },
    {//ROM NUMBER 119
    0XE6EE1468    ,"LODE RUNNER USHINA WARETA MAIKYUU - PACK-IN-VIDEO [JAP]"
    ,"PV1004"
    ,"27-07-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 120
    0X2B54CBA2    ,"APPARE! GATEBALL - AZUMA [JAP]"
    ,"HC63016"
    ,"22-12-88"
    ,"2M"
    ,"5p"
   },
    {//ROM NUMBER 121
    0XB3EEEA2E    ,"WORLD CIRCUIT - NAMCO [JAP]"
    ,"NC91004"
    ,"18-10-91"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 122
    0X8F4D9F94    ,"BOUKEN DANSHAKAN DON SUNHEART HEN - IMAX [JAP]"
    ,"IM92001"
    ,""
    ,""
    ,"aka THE LOST SUNHEART"
   },
    {//ROM NUMBER 123
    0X8E25DC77    ,"KIKI KAIKAI - TAITO [JAP]"
    ,"TP02009"
    ,"27-03-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 124
    0X9B5EBC58    ,"WINNING SHOT - DATA EAST [JAP]"
    ,"DE64001"
    ,"03-03-89"
    ,"2M"
    ,"4p"
   },
    {//ROM NUMBER 125
    0XBE8B6E3B    ,"POWER GATE - PACK-IN-VIDEO [JAP]"
    ,"PV-1008"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 126
    0X3C33E016    ,"CART"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 127
    0X57A436A2    ,"JACK NICKLAUS TURBO GOLF - ACCOLADE [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 128
    0X5C78FEE1    ,"MAISON IKKOKU - FUJITV [JAP]"
    ,"MC66680"
    ,"04-08-89"
    ,"2M"
    ," 1p"
   },
    {//ROM NUMBER 129
    0X61A2935F    ,"RAISHISU? - ??? [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 130
    0X6C34AAEA    ,"MAHJONG SHIKAKA RETSUDEN MAHJONG WARS - NICHIBUTSU [JAP]"
    ,"NB1001"
    ,"01-02-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 131
    0X6FD6827C    ,"GAIA NO MONSHO - NCS [JAP]"
    ,"NCS63001"
    ,"23-09-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 132
    0X91E6896F    ,"RYUKYU - FACE [JAP]"
    ,""
    ,"26-10-90"
    ,"2M"
    ,"FA02-005, 1p"
   },
    {//ROM NUMBER 133
    0XA2A0776E    ,"WAI WAI MAHJONG - VIDEO SYSTEM [JAP]"
    ,"VS-89001"
    ,"19-06-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 134
    0XB5326B16    ,"SUPER DODGE BALL - TONKIN HOUSE [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 135
    0XBA4D0DD4    ,"HANA TAHKA DAKA - TAITO [JAP]"
    ,"TP03018"
    ,"09-08-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 136
    0XC150637A    ,"JIMMU DENSHO YAKSA - WOLF TEAM [JAP]"
    ,"BG01003"
    ,"28-06-89"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 137
    0XC8C7D63E    ,"JYUOHKI - SEGA [JAP]"
    ,"HG8G-1006"
    ,"29-09-89"
    ,"4M"
    ,"aka ALTERED BEAST, 1p"
   },
    {//ROM NUMBER 138
    0XCC7D3EEB    ,"BONZE ADVENTURE - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 139
    0XD4C5AF46    ,"MAKYO DENSETSU - ATLUS [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 140
    0XF131B706    ,"CRAZY JAPPY PLATFORMER [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 141
    0X469A0FDF    ,"SHIRYOU SENSEN - FUN PROJECT [JAP]"
    ,"JC63002"
    ,"24-03-89"
    ,"2M"
    ,"aka WAR OF THE DEAD, 1p"
   },
    {//ROM NUMBER 142
    0X65FDB863    ,"NEKKETSU KOUKOU DODGEBALL BU PC BANGAI HEN - TECHNOS [JAP]"
    ,"NX90002"
    ,"30-03-90"
    ,"2M"
    ,"aka HOT BLOOD HIGHSCHOOL DODGEBALL"
   },
    {//ROM NUMBER 143
    0X53109AE6    ,"JASEIKIN NECROMANCER - HUDSON [JAP]"
    ,"HC62005"
    ,"22-01-88"
    ,"1M"
    ,""
   },
    {//ROM NUMBER 144
    0X80C3F824    ,"YOUKAI DOCHUKI - NAMCO [JAP]"
    ,"NC62001"
    ,""
    ,""
    ,"aka GHOST TRAVEL STORY"
   },
    {//ROM NUMBER 145
    0X34E089A9    ,"PRO YAKYUU WORLD STADIUM - NAMCO [JAP]"
    ,"NC63001"
    ,"20-05-88"
    ,""
    ,""
   },
    {//ROM NUMBER 146
    0XF70112E5    ,"TORIYUU SIYOUJIN NO JITSEN KABUSHIKI BAI BAI GAME - INTEC [JAP]"
    ,"IG89001"
    ,"01-11-89"
    ,""
    ,""
   },
    {//ROM NUMBER 147
    0X5CDB3F5B    ,"OUTLIVE - SUNSOFT [JAP]"
    ,"SS89001"
    ,"17-03-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 148
    0XB122787B    ,"SENGOKU MAHJONG - HUDSON [JAP]"
    ,"HC63010"
    ,"08-07-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 149
    0XF022BE13    ,"TAKEDA SHINGEN - AICOM [JAP]"
    ,"AC89002"
    ,"28-07-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 150
    0XC0905CA9    ,"YUU YUU JINSEI - TAKARA [JAP]"
    ,"HC63008"
    ,"22-04-88"
    ,"2M"
    ,"aka VICTORY LIFE, 5p"
   },
    {//ROM NUMBER 151
    0XBE62EEF5    ,"MAKAI HAKKENDEN SHADA - DATA EAST [JAP]"
    ,"DE89002"
    ,"01-04-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 152
    0XF999356F    ,"SADAKICHI SABAN HIDEYOSHI NO OUGON - HUDSON [JAP]"
    ,"HC63014"
    ,"18-11-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 153
    0X1CAD4B7F    ,"USA PRO BASKETBALL - AICOM [JAP]"
    ,"AC89003"
    ,"01-12-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 154
    0XA9084D6E    ,"KAIZOU NINGEN SHUBIBIMAN - MASYNYA [JAP]"
    ,"NCS89004"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 155
    0X27A4D11A    ,"GANBARE! GOLF BOYS - MASYNYA [JAP]"
    ,"NCS89003"
    ,"28-03-89"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 156
    0XEA751E82    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 157
    0X8672717C    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 158
    0X23EC8970    ,"SHOGI SHODAN ICCHOKUSEN - HOMEDATA [JAP]"
    ,"HD90001"
    ,"10-08-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 159
    0XE86249A4    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 160
    0XC3212C24    ,"CIRCUS LIDO - UNI POST [JAP]"
    ,"PJ91001"
    ,"06-04-91"
    ,""
    ,""
   },
    {//ROM NUMBER 161
    0X457F2BC4    ,"SHOGI SHOSHINSA MUYO - HOMEDATA [JAP]"
    ,"HD91013"
    ,"29-11-91"
    ,""
    ,""
   },
    {//ROM NUMBER 162
    0XCAB21B2E    ,"CHIKUDENYA TOUBEE - BIT2 [JAP]"
    ,"NX89004"
    ,"26-01-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 163
    0XC7327632    ,"HISOU KIHEI SERD GAI SHADOW - MASYNYA [JAP]"
    ,"NCS90002"
    ,"23-02-90"
    ,""
    ,""
	 ,TWO_PART_ROM
   },
    {//ROM NUMBER 164
    0XF4148600    ,"MAHJONG GAKUEN MILD - FACE [JAP]"
    ,"FA02-004"
    ,"29-06-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 165
    0XC42B6D76    ,"BENKEI GAIDEN - SUNSOFT [JAP]"
    ,"SS89002"
    ,"22-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 166
    0X00F83029    ,"NO TITLE - MASYNYA [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 167
    0XDC47434B    ,"SINDIBAD CHITEI NO DAI MAKYU - IGS [JAP]"
    ,"AI-02002"
    ,"02-06-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 168
    0XCF73D8FC    ,"SUSANO OH DENSETSU - HUDSON [JAP]"
    ,"HC89017"
    ,"27-04-89"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 169
    0X99F2865C    ,"MANIAC PRO WRESTLING - HUDSON [JAP]"
    ,"HC89025"
    ,"25-05-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 170
    0XFB0FDCFE    ,"NECROS NO YOUSAI - ASK KODANSHA [JAP]"
    ,"AK90001"
    ,"20-04-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 171
    0XA71D70D0    ,"GAI FLAME - MASYNYA [JAP]"
    ,"NCS90001"
    ,"26-01-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 172
    0XF5B90D55    ,"MAHJONG GAKUEN TOUMA SHIRO TOJO - FACE [JAP]"
    ,"FA01-003"
    ,"24-11-89"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 173
    0XCFC5A395    ,"JIGOKU MEGURI - TAITO [JAP]"
    ,"TP02013"
    ,"03-08-90"
    ,"3M"
    ,"aka TOUR OF HELL"
   },
    {//ROM NUMBER 174
    0X0038B5B5    ,"MAHJONG GOKU SPECIAL - SUNSOFT [JAP]"
    ,"SS90002"
    ,"10-08-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 175
    0X2E955051    ,"SEKIKEHARA - TONKIN HOUSE [JAP]"
    ,"TON90002"
    ,"14-09-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 176
    0XA326334A    ,"DAICHIKUN CRISIS DO NATURAL - SALIO [JAP]"
    ,"SL01001"
    ,"22-11-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 177
    0XC2D2B823    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 178
    0XFBA3A1A4    ,"NAXAT STADIUM - TAISANG VERSION [JAP]"
    ,"NX90006"
    ,"26-10-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 179
    0XA6539306    ,"KATTOBI! TAKUHAI-KUN - TONKIN HOUSE [JAP]"
    ,"TON90004"
    ,"09-11-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 180
    0X73593F61    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 181
    0XE6C93AE7    ,"MAKAI PRINCE DORABO-CHAN - NAXAT SOFT [JAP]"
    ,"NX90007"
    ,"21-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 182
    0X4D3B0BC9    ,"OBOCCHAMA KUN - NAMCO [JAP]"
    ,"NC91001"
    ,"15-03-91"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 183
    0X82DEF9EE    ,"NIKO NIKO PUN - KSS [JAP]"
    ,"NV91001"
    ,"13-12-91"
    ,""
    ,""
   },
    {//ROM NUMBER 184
    0X9EC6FC6C    ,"IDOL HANAFUDA FAN CLUB - GAMES EXPRESS [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 185
    0X2546EFE0    ,"MORITA SHOGI PC - RANDOM HOUSE [JAP]"
    ,"NAPH-1021"
    ,"27-09-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 186
    0XA32430D5    ,"NHK TAIGA DRAMA TAIHEIKI - NHK [JAP]"
    ,"NV92001"
    ,"31-01-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 187
    0X951ED380    ,"CHIBI MARUKO-CHAN QUIZ DE PIHYARA - NAMCO [JAP]"
    ,"NC92001"
    ,"10-01-92"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 188
    0X4148FD7C    ,"PACHIOKUN JUBAN SHOBU - COCONUTS [JAP]"
    ,"CJ92002"
    ,"13-03-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 189
    0XF2285C6D    ,"NAXAT SOCCER [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 190
    0X02DDE03E    ,"KIYUU KIYOKU MAHJONG IDOL GRAPHICS - GAMES EXPRESS [JAP]"
    ,"T4955754200915"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 191
    0X4052FFAB    ,"UNKNOWN GAME"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 192
    0XB01EE703    ,"HONO NO TATAKA TAMAKO DODGE DANPEI - HUDSON [JAP]"
    ,"HC92059"
    ,"25-09-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 193
    0X0AA88F33    ,"PC PACHISLOT IDOL GAMBLER - GAMES EXPRESS [JAP]"
    ,"T4955754200939"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 194
    0XB866D282    ,"AV POKER WORLD GAMBLER - GAMES EXPRESS [JAP]"
    ,"T4955754200946"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 195
    0XE5B6B3E5    ,"KIYUU KIYOKU MAHJONG IDOL GRAPHICS 2 - GAMES EXPRESS [JAP]"
    ,"T4955754200977"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 196
    0X85A1E7B6    ,"FORMATION SOCCER HUMAN CUP '90 - HUMAN [JAP]"
    ,"HM90003"
    ,"27-04-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 197
    0X7146027C    ,"FORMATION SOCCER ON J.LEAGUE - HUMAN [JAP]"
    ,"HM94007"
    ,"15-01-94"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 198
    0XD5CE2D5F    ,"SUPER MOMO TAROU DENSETSU - HUDSON [JAP]"
    ,"HC89021"
    ,"15-09-89"
    ,""
    ,""
   },
    {//ROM NUMBER 199
    0X1555697E    ,"SUPER MOMO TAROU DENTETSU II - SUMMER PROJECT [JAP]"
    ,"HC91050"
    ,"20-12-91"
    ,""
    ,""
   },
    {//ROM NUMBER 200
    0X7B96317C    ,"MOMO TAROU DENSETSU TURBO - HUDSON [JAP]"
    ,"HC90034"
    ,"20-07-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 201
    0X345F43E9    ,"MOMO TAROU KATSU GEKI - HUDSON [JAP]"
    ,"HC90031"
    ,"21-09-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 202
    0XF860455C    ,"MOMO TAROU DENSETSU GAIDEN - SUMMER PROJECT [JAP]"
    ,"HC92060"
    ,"04-12-92"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 203
    0X6CCA614C    ,"MOMO TAROU DENTETSU II - HUDSON [JAP]"
    ,"HC90040"
    ,"22-12-90"
    ,"6M"
    ,""
   },
    {//ROM NUMBER 204
    0X19FF94E5    ,"GOKURAKU CHUKA TAISEN - TAITO [JAP]"
    ,"TP03021"
    ,"13-03-92"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 205
    0XE749A22C    ,"GOKURAKU CHUKA TAISEN - TAITO [JAP] 384k STYLE"
    ,"TP03021"
    ,"13-03-92"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 206
    0XE87190F1    ,"MESOPOTAMIA - ATLUS [JAP]"
    ,"AT03001"
    ,"04-10-91"
    ,"4M"
    ,"aka SOMER ASSAULT, 1p"
   },
    {//ROM NUMBER 207
    0XF0227837    ,"SOMER ASSAULT - ATLUS [USA]"
    ,"TGX040089"
    ,""
    ,"4M"
    ,"aka MESOPOTAMIA"
   },
    {//ROM NUMBER 208
    0X767245CD    ,"CHINA WARRIOR - HUDSON [USA]"
    ,"TGX020008"
    ,""
    ,"2M"
    ,"aka THE KUNG FU, 1p"
   },
    {//ROM NUMBER 209
    0XDC268242    ,"CHINA WARRIOR - NEC [USA]"
    ,"TGX020008"
    ,""
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 210
    0XB552C906    ,"CHINA WARRIOR - NEC [USA]"
    ,"TGX020008"
    ,""
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 211
    0X5D0E3105    ,"SUPER STAR SOLDIER - HUDSON [JAP]"
    ,"HE-1097"
    ,"06-07-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 212
    0XAB3C5804    ,"SUPER STAR SOLDIER - HUDSON [USA]"
    ,"HE-1097"
    ,"06-07-90"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 213
    0X82AE3B16    ,"TORA E NO MICHI - CAPCOM [JAP]"
    ,"JC63004"
    ,"23-02-90"
    ,""
    ,"aka TIGER ROAD"
   },
    {//ROM NUMBER 214
    0XBF797067    ,"TORA E NO MICHI - CAPCOM [JAP]"
    ,"JC63004"
    ,"23-02-90"
    ,""
    ,"aka TIGER ROAD"
   },
    {//ROM NUMBER 215
    0X9E86FFB0    ,"DOUBLE DUNGEONS - MASYNYA [USA]"
    ,"NCS89006"
    ,"29-09-89"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 216
    0X86087B39    ,"DOUBLE DUNGEONS - MASYNYA [JAP]"
    ,"NCS89006"
    ,"29-09-89"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 217
    0XDB872A64    ,"KLAX - TENGEN [USA]"
    ,"TTGX20001"
    ,""
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 218
    0XC74FFBC9    ,"KLAX - TENGEN [JAP]"
    ,"TG90001"
    ,"10-08-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 219
    0X8DC0D85F    ,"CADASH - TAITO [JAP]"
    ,"TP02015"
    ,"18-01-91"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 220
    0X7D48D2FC    ,"CADASH - TAITO [JAP]"
    ,"TP02015"
    ,"18-01-91"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 221
    0X9EDC0AEA    ,"CHAMPION WRESTLER - TAITO [JAP]"
    ,"TPO2014"
    ,"14-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 222
    0X76164593    ,"CHAMPION WRESTLER - TAITO [JAP]"
    ,"TP02014"
    ,"14-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 223
    0X69180984    ,"POWER LEAGUE BASEBALL [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 224
    0XD329CF9A    ,"POWER LEAGUE II - HUDSON [JAP]"
    ,"HC89020"
    ,"08-08-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 225
    0XD3FD6971    ,"POWER LEAGUE III - HUDSON [JAP]"
    ,"HC90037"
    ,"10-08-90"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 226
    0X30CC3563    ,"POWER LEAGUE IV - HUDSON [JAP]"
    ,"HC91046"
    ,"09-08-91"
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 227
    0XBB654D1C    ,"POWER LEAGUE V - HUDSON [JAP]"
    ,"HC92057"
    ,"07-08-92"
    ,"6M"
    ,"2p"
   },
    {//ROM NUMBER 228
    0X66B167A9    ,"BASEBALL91 [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 229
    0X44F60137    ,"COLLEGE PRO BASEBALL '89 - INTEC [JAP]"
    ,"IG89002"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 230
    0X1772B229    ,"COLLEGE PRO BASEBALL '90 - INTEC [JAP]"
    ,"IG90001"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 231
    0X951AA310    ,"WORLD CLASS BASEBALL - HUDSON [USA]"
    ,"???"
    ,"??"
    ,"??"
    ,""
   },
    {//ROM NUMBER 232
    0X9693D259    ,"BALLISTIX - PSYGNOSYS [USA]"
    ,"CJ0001"
    ,"13-12-91"
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 233
    0X8ACFC8AA    ,"BALLISTIX - PSYGNOSIS [???]"
    ,""
    ,""
    ,"2M"
    ,"2p"
   },
    {//ROM NUMBER 234
    0X57615647    ,"SHOCKMAN - NCS [USA]"
    ,"TGX040087"
    ,""
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 235
    0X109BA474    ,"KAIZOU NINGEN SHUBIBIMAN 2 - MASYNYA [JAP]"
    ,"NCS91001"
    ,"27-04-91"
    ,"4M"
    ,"aka SHOCKMAN, 2p"
   },
    {//ROM NUMBER 236
    0XCA68FF21    ,"ENERGY - MASYNYA [JAP]"
    ,"NCS89005"
    ,"19-04-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 237
    0XDD1D1035    ,"ENERGY - MASYNYA [JAP]"
    ,"NCS89005"
    ,"19-04-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 238
    0XA98D276A    ,"CYBER CORE - IGS [USA]"
    ,"TGX030030"
    ,""
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 239
    0XA0C97557    ,"CYBER CORE - IGS [JAP]"
    ,"AI-02001"
    ,"09-03-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 240
    0XD0C250CA    ,"CYBER CROSS - FACE [JAP]"
    ,"FA01-002"
    ,"23-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 241
    0XDCD3E602    ,"CYBER CROSS - FACE [JAP]"
    ,"FA01-002"
    ,"23-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 242
    0X07BC34DC    ,"SAMURAI-GHOST - NAMCO [USA]"
    ,"TGX040085"
    ,""
    ,"4M"
    ,"aka GENPEI TORAMADEN VOLUME 2, 1p"
   },
    {//ROM NUMBER 243
    0X8793758C    ,"GENPEI TORAMADEN 2 - NAMCO [JAP]"
    ,"NC92002"
    ,"07-04-92"
    ,"4M"
    ,"aka Samurai Ghost, 1p"
   },
    {//ROM NUMBER 244
    0X1EB30EEB    ,"FIRE PRO WRESTLING - HUMAN [JAP]"
    ,"HM89001"
    ,"22-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 245
    0X90ED6575    ,"FIRE PRO WRESTLING - HUMAN [JAP]"
    ,"HM89001"
    ,"22-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 246
    0XA17D4D7E    ,"GUNHED - HUDSON [JAP]"
    ,"HC89019"
    ,"07-07-89"
    ,"3M"
    ,"aka BLAZING LAZERS, 1p"
   },
    {//ROM NUMBER 247
    0X113DD5F0    ,"GUNHED - HUDSON [JAP]"
    ,"HC89019"
    ,"07-07-89"
    ,"3M"
    ,"aka BLAZING LAZERS, 1p"
   },
    {//ROM NUMBER 248
    0X7AA9D4DC    ,"BLAZING LAZERS - HUDSON [USA]"
    ,"TGX030010"
    ,""
    ,"3M"
    ,"aka GUNHED, 1p"
   },
    {//ROM NUMBER 249
    0X3B3808BD    ,"TENNOKOE MEMORY BANK - HUDSON [JAP]"
    ,"??"
    ,""
    ,""
    ,"EXTRA SAVE RAM THING BY HUDSON"
   },
    {//ROM NUMBER 250
    0X51A12D90    ,"GAMES EXPRESS CD CARD 1993"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 251
    0X3F9F95A4    ,"CD-ROM SYSTEM VER. 1.00 - NEC [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 252
    0XD634D931    ,"CD-ROM SYSTEM VER. 2.00 - NEC [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 253
    0X283B74E0    ,"CD-ROM SYSTEM VER. 2.10 - NEC [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 254
    0XDD35451D    ,"SUPER CD-ROM2 SYSTEM VER. 3.00 - NEC [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 255
    0XE6F16616    ,"SUPER CD-ROM2 SYSTEM VER. 3.00 - NEC [JAP]"
    ,"PCE-SC1"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 256
    0XF42AA73E    ,"DON DOKO DON - TAITO [JAP]"
    ,"TP02010"
    ,"31-05-90"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 257
    0X633A3D48    ,"DON DOKO DON - TAITO [JAP]"
    ,"TP02010"
    ,"31-05-90"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 258
    0XBB761F3B    ,"HANI ON THE ROAD - FACE [JAP]"
    ,"FA02-006"
    ,"07-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 259
    0X9897FA86    ,"HANI ON THE ROAD - FACE [JAP]"
    ,"FA02-006"
    ,"07-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 260
    0X348022F7    ,"JJ & JEFF - HUDSON [USA]"
    ,"TGX020014"
    ,""
    ,"2M"
    ,"aka KATO & KEN CHAN"
   },
    {//ROM NUMBER 261
    0X6069C5E7    ,"KATO & KEN  CHAN - HUDSON [JAP]"
    ,"HC62006"
    ,"30-11-87"
    ,"2M"
    ,"aka JJ & JEFF"
   },
    {//ROM NUMBER 262
    0X88796264    ,"CHEW MAN FU - HUDSON [USA]"
    ,"TGX020035"
    ,""
    ,"2M"
    ,"aka BE BALL, 2p"
   },
    {//ROM NUMBER 263
    0XE439F299    ,"BE BALL - HUDSON [JAP]"
    ,"HC90028"
    ,"30-03-90"
    ,"2M"
    ,"aka CHEW-MAN-FU, 2p"
   },
    {//ROM NUMBER 264
    0X261F1013    ,"BE BALL - HUDSON [JAP]"
    ,"HC90028"
    ,"30-03-90"
    ,"2M"
    ,"aka CHEW-MAN-FU, 2p"
   },
    {//ROM NUMBER 265
    0X0B7F6E5F    ,"MOTO ROADER II - MASYNYA [JAP]"
    ,"NCS91002"
    ,"29-03-91"
    ,"3M"
    ,"5p"
   },
    {//ROM NUMBER 266
    0X364508DA    ,"MOTO ROADER II - MASYNYA [JAP]"
    ,"NCS91002"
    ,"29-03-91"
    ,"3M"
    ,"5p"
   },
    {//ROM NUMBER 267
    0X745408AE    ,"MOTO ROADER - MASYNYA [JAP]"
    ,"NCS89002"
    ,"23-02-89"
    ,"2M"
    ,"5p"
   },
    {//ROM NUMBER 268
    0X428F36CD    ,"MOTO ROADER - MASYNYA [JAP]"
    ,"NCS89002"
    ,"23-02-89"
    ,"2M"
    ,"5p"
   },
    {//ROM NUMBER 269
    0X13BF0409    ,"F1 TRIPLE BATTLE - HUMAN [JAP]"
    ,"HM89002"
    ,"23-12-89"
    ,"3M"
    ,""
	 ,TWO_PART_ROM
   },
    {//ROM NUMBER 270
    0XB9DFC085    ,"F1 TRIPLE BATTLE - HUMAN [JAP]"
    ,"HM89002"
    ,"23-12-89"
    ,"3M"
    ,""
	 ,TWO_PART_ROM
   },
    {//ROM NUMBER 271
    0X020DC2DF    ,"F1 PILOT - PACK-IN-VIDEO [JAP]"
    ,"PV1001"
    ,"23-03-89"
    ,""
    ,"3M"
   },
    {//ROM NUMBER 272
    0X09048174    ,"F1 PILOT - PACK-IN-VIDEO [JAP]"
    ,"PV1001"
    ,"23-03-89"
    ,""
    ,"3M"
   },
    {//ROM NUMBER 273
    0X3E647D8B    ,"POWER ELEVEN - HUDSON [JAP]"
    ,"HC91039"
    ,"21-06-91"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 274
    0X21B5409C    ,"POWER ELEVEN - HUDSON [JAP]"
    ,"HC91039"
    ,"21-06-91"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 275
    0X72E00BC4    ,"THE TOWER OF DRUAGA - NAMCO [JAP]"
    ,"NC92003"
    ,"25-06-92"
    ,""
    ,""
   },
    {//ROM NUMBER 276
    0X8A046CDC    ,"THE TOWER OF DRUAGA - NAMCO [JAP]"
    ,"NC92003"
    ,"25-06-92"
    ,""
    ,""
   },
    {//ROM NUMBER 277
    0XE8702D51    ,"PHOTOGRAPH BOY - IREM [JAP]"
    ,"IC04007"
    ,"02-10-92"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 278
    0XDFD4593A    ,"PHOTOGRAPH BOY - IREM [JAP]"
    ,"IC04007"
    ,"02-10-92"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 279
    0XC90971BA    ,"FINAL BLASTER - NAMCO [JAP]"
    ,"NC90007"
    ,"28-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 280
    0XB9899178    ,"FINAL BLASTER - NAMCO [JAP]"
    ,"NC90007"
    ,"28-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 281
    0XB18D102D    ,"ETERNAL CITY TOSHI TENSO KEIKAKU - NAXAT [JAP]"
    ,"NX91003"
    ,"12-04-91"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 282
    0X74903426    ,"ETERNAL CITY TOSHI TENSO KEIKAKU - NAXAT [JAP]"
    ,"NX91003"
    ,"12-04-91"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 283
    0XF91B055F    ,"CITY HUNTER - SUNSOFT [JAP]"
    ,"SS90001"
    ,"02-03-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 284
    0XDF804DC7    ,"CITY HUNTER - SUNSOFT [JAP]"
    ,"SS90001"
    ,"02-03-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 285
    0X44AF9BEA    ,"CRATERMAZE - HUDSON [USA]"
    ,"TGX020027"
    ,""
    ,"2M"
    ,"aka DORAEMON MEIKYU DAISAKUSEN, 1p"
   },
    {//ROM NUMBER 286
    0XDC760A07    ,"DORAEMON MEIKYU DAISAKUSEN - HUDSON [JAP]"
    ,"HC89023"
    ,"31-10-89"
    ,"2M"
    ,"aka CRATERMAZE, 1p"
   },
    {//ROM NUMBER 287
    0X04188C5C    ,"VEIGUES TACTICAL GLADIATOR - VICTOR [JAP]"
    ,"JC63005"
    ,"29-06-90"
    ,"3M"
    ,"3p"
   },
    {//ROM NUMBER 288
    0XF46298E3    ,"VEIGUES TACTICAL GLADIATOR - VICTOR [JAP]"
    ,"JC63005"
    ,"29-06-90"
    ,"3M"
    ,"3p"
   },
    {//ROM NUMBER 289
    0XAD6E0376    ,"VEIGUES TACTICAL GLADIATOR - VICTOR [USA]"
    ,""
    ,""
    ,"3M"
    ,"3p"
   },
    {//ROM NUMBER 290
    0X96E0CD9D    ,"THE NINJA WARRIORS - TAITO [JAP]"
    ,"TP01002"
    ,"30-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 291
    0X62654AD5    ,"THE NINJA WARRIORS - TAITO [JAP]"
    ,"TPO1002"
    ,"30-06-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 292
    0X462256FB    ,"ROCK ON - BIGCLUB [JAP]"
    ,"BG01004"
    ,"22-08-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 293
    0X2FD65312    ,"ROCK ON - BIGCLUB [JAP]"
    ,"BG01004"
    ,"22-08-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 294
    0XBE990010    ,"W RING THE DOUBLE RINGS - NAXAT [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 295
    0X83213ADE    ,"W RING THE DOUBLE RINGS - NAXAT [JAP]"
    ,"NX90005"
    ,"28-09-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 296
    0X1A8393C6    ,"GALAGA '88 - NAMCO [JAP]"
    ,"NC63002"
    ,"15-07-88"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 297
    0X6273A9D4    ,"GALAGA '90 - NAMCO [USA]"
    ,"TGX020018"
    ,""
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 298
    0XCE2E4F9F    ,"SUPER VOLLEY BALL - VIDEO SYSTEM [JAP]"
    ,"VS-90002"
    ,"07-02-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 299
    0X09CBB5E6    ,"SUPER VOLLEY BALL - VIDEO SYSTEM [JAP]"
    ,"VS-90002"
    ,"07-02-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 300
    0X23D22D63    ,"SONIC SPIKE - IGS [USA]"
    ,"ITGX10001"
    ,""
    ,"2M"
    ,"aka WORLD BEACH VOLLEYBALL, 4p"
   },
    {//ROM NUMBER 301
    0XBE850530    ,"WORLD BEACH VOLLEY - IGS [JAP]"
    ,""
    ,"27-07-90"
    ,"2M"
    ,"aka SONIC SPIKE"
   },
    {//ROM NUMBER 302
    0XAD226F30    ,"VOLFIELD - TAITO [JAP]"
    ,"TP01005"
    ,"27-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 303
    0X94C55627    ,"VOLFIED - TAITO [JAP]"
    ,"TP01005"
    ,"27-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 304
    0X87FD22AD    ,"BOMBERMAN - HUDSON [???]"
    ,"HC90036"
    ,"07-12-90"
    ,"2M"
    ,"5p, linkable"
   },
    {//ROM NUMBER 305
    0X9ABB4D1F    ,"BOMBERMAN - HUDSON [JAP]"
    ,"HC90036"
    ,"07-12-90"
    ,"2M"
    ,"5p, linkable"
   },
    {//ROM NUMBER 306
    0XB300C5D0    ,"BOMBERMAN '93 - HUDSON [JAP]"
    ,"HC92061"
    ,"11-12-92"
    ,"4M"
    ,"5p, linkable"
   },
    {//ROM NUMBER 307
    0X05362516    ,"BOMBERMAN '94 - HUDSON [JAP]"
    ,"HC93065"
    ,"10-12-93"
    ,"8M"
    ,"5p"
   },
    {//ROM NUMBER 308
    0X2CB5CD55    ,"PC GENJIN - HUDSON [JAP]"
    ,"HC89024"
    ,"15-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 309
    0XB630AB25    ,"PC GENJIN - HUDSON [JAP]"
    ,"HC89024"
    ,"15-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 310
    0X2CB796E2    ,"PC GENJIN - HUDSON [JAP]"
    ,"HC89024"
    ,"15-12-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 311
    0X3028F7CA    ,"PC GENJIN 2 - HUDSON [JAP]"
    ,"HC91043"
    ,"19-07-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 312
    0XA170B60E    ,"PC GENJIN 3 - HUDSON [JAP]"
    ,"HC93063"
    ,"02-04-93"
    ,"8M"
    ,"2p"
   },
    {//ROM NUMBER 313
    0XD5C782F2    ,"BONK'S ADVENTURE - HUDSON [USA]"
    ,"???"
    ,"??"
    ,"??"
    ,"1p"
   },
    {//ROM NUMBER 314
    0X64301FF1    ,"BONK'S REVENGE - HUDSON [USA]"
    ,"TGX040058"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 315
    0X9913A9DE    ,"BONK 3 BONK'S BIG ADVENTURE - HUDSON [USA]"
    ,"TGX080097"
    ,""
    ,"8M"
    ,"2p"
   },
    {//ROM NUMBER 316
    0XEB923DE5    ,"HEAVY UNIT - TAITO [JAP]"
    ,"TP01004"
    ,"22-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 317
    0XCAAD79CE    ,"HEAVY UNIT - TAITO [JAP]"
    ,"TP01004"
    ,"22-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 318
    0X60ECAE22    ,"NAXAT OPEN - NAXAT [JAP]"
    ,"NX89001"
    ,"30-05-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 319
    0X31DD1C32    ,"NAXAT OPEN - NAXAT [JAP]"
    ,"NX89001"
    ,"30-05-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 320
    0X2E5AC9C0    ,"BOXY BOY - MEDIA RINGS [USA]"
    ,"TGX010031"
    ,""
    ,"1M"
    ,"1p"
   },
    {//ROM NUMBER 321
    0XFB37DDC4    ,"BOXY BOY - MEDIA RINGS [JAP]"
    ,""
    ,""
    ,""
    ,"aka SOHKO BAN WORLD"
   },
    {//ROM NUMBER 322
    0X2F8935AA    ,"MAJIN EIYU WATARU - HUDSON [JAP]"
    ,"HC63012"
    ,"30-08-88"
    ,"2M"
    ,"aka KEITH COURAGE IN ALPHA ZONES"
   },
    {//ROM NUMBER 323
    0XB54DEBD1    ,"KEITH COURAGE IN ALPHA ZONES - SUNRISE [USA]"
    ,"TGX020001"
    ,""
    ,"2M"
    ,"aka MAJIN EIYU WATARU, 1p"
   },
    {//ROM NUMBER 324
    0XB77F2E2F    ,"ZERO 4 CHAMP - MEDIA RINGS [JAP]"
    ,"??"
    ,"??"
    ,"??"
    ,""
   },
    {//ROM NUMBER 325
    0XEE156721    ,"ZERO 4 CHAMP - MEDIA RINGS [JAP]"
    ,"MR91003"
    ,"08-03-91"
    ,""
    ,"1p"
   },
    {//ROM NUMBER 326
    0X5C4D1991    ,"BULLFIGHT RING NO HAJA - CREAM [JAP]"
    ,"CC-01001"
    ,"08-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 327
    0X3E4EAF98    ,"BULLFIGHT RING NO HAJA - CREAM [JAP]"
    ,"CC-01001"
    ,"08-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 328
    0X8E4D75A8    ,"NEW ZEALAND STORY, THE - TAITO [JAP]"
    ,"TP02007"
    ,"23-02-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 329
    0X1772A6BC    ,"NEW ZEALAND STORY, THE - TAITO [JAP]"
    ,"TP02007"
    ,"23-02-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 330
    0XB01F70C2    ,"NARAZUMO NO SENTOU BUTAI BLOODY WOLF - DATA EAST [JAP]"
    ,"DE89003"
    ,"01-09-89"
    ,""
    ,"1p"
   },
    {//ROM NUMBER 331
    0X47AFE6D7    ,"BLOODY WOLF - DATA EAST [USA]"
    ,"TGX040037"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 332
    0X99033916    ,"TOILET KIDS - MEDIA RINGS [JAP]"
    ,"MR92005"
    ,"06-03-92"
    ,""
    ,""
   },
    {//ROM NUMBER 333
    0X53B7784B    ,"TOILET KIDS - MEDIA RINGS [JAP]"
    ,""
    ,"06-03-92"
    ,""
    ,""
   },
    {//ROM NUMBER 334
    0XB64DE6FD    ,"ALIEN CRUSH - NAXAT [USA???]"
    ,""
    ,""
    ,"2M"
    ,""
	 ,PINBALL_KEY
   },
    {//ROM NUMBER 335
    0X60EDF4E1    ,"ALIEN CRUSH - NAXAT [JAP]"
    ,"NX63001"
    ,"14-09-88"
    ,"2M"
    ,""
	 ,PINBALL_KEY
   },
    {//ROM NUMBER 336
    0X2762792B    ,"DEVIL'S CRUSH - NAXAT [USA]"
    ,""
    ,""
    ,"3M"
    ,"2p"
	 ,TWO_PART_ROM | PINBALL_KEY
   },
    {//ROM NUMBER 337
    0X166A0E44    ,"DEVIL'S CRASH - NAXAT [JAP]"
    ,"NX90004"
    ,"20-07-90"
    ,"3M"
    ,"2p"
	 ,TWO_PART_ROM | PINBALL_KEY
   },
    {//ROM NUMBER 338
    0XD233C05A    ,"BURNING ANGEL - NAXAT [JAP]"
    ,"NX90008"
    ,"07-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 339
    0X17A47D0D    ,"BURNING ANGEL - NAXAT [JAP]"
    ,"NX90008"
    ,"07-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 340
    0X033E8C4A    ,"CHASE HQ - TAITO [JAP]"
    ,"TP02006"
    ,"26-01-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 341
    0X6F4FD790    ,"CHASE HQ - TAITO [JAP]"
    ,"TP02006"
    ,"26-01-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 342
    0XD6FC51CE    ,"STRIP FIGHTER II - GAMES EXPRESS [JAP]"
    ,"T4955754200984"
    ,""
    ,"8M"
    ,"2p"
   },
    {//ROM NUMBER 343
    0X5F2C9A45    ,"STRIP FIGHTER II - GAMES EXPRESS [JAP]"
    ,"T4955754200984"
    ,""
    ,"8M"
    ,"2p"
   },
    {//ROM NUMBER 344
    0X85AA49D0    ,"SINISTRON - IGS [JAP]"
    ,"ITGX10007"
    ,""
    ,"4M"
    ,"aka VIOLENT SOLDIER"
   },
    {//ROM NUMBER 345
    0X1BC36B36    ,"VIOLENT SOLDIER - IGS [JAP]"
    ,"AI02005"
    ,"14-12-90"
    ,"3M"
    ,"aka SINISTRON, 1p"
   },
    {//ROM NUMBER 346
    0X34FD4EF2    ,"VIOLENT SOLDIER - IGS [JAP]"
    ,"AI02005"
    ,"14-12-90"
    ,"3M"
    ,"aka SINISTRON, 1p"
   },
    {//ROM NUMBER 347
    0X70D90E20    ,"WORLD COURT TENNIS - NAMCO [USA]"
    ,"TGX020019"
    ,""
    ,"2M"
    ,"4p"
   },
    {//ROM NUMBER 348
    0X11A36745    ,"WORLD COURT TENNIS - NAMCO [JAP]"
    ,"NC63004"
    ,"11-08-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 349
    0XDCA24A76    ,"FANTASY ZONE - SEGA [USA?]"
    ,"H49G-1001"
    ,"14-10-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 350
    0X72CB0F9D    ,"FANTASY ZONE - SEGA [???]"
    ,"H49G-1001"
    ,"14-10-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 351
    0X05453628    ,"ALICE IN WONDERDREAM - FACE [JAP]"
    ,"FA02-007"
    ,"07-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 352
    0X12C4E6FD    ,"ALICE IN WONDERDREAM - FACE [JAP]"
    ,"FA02-007"
    ,"07-12-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 353
    0XA9A94E1B    ,"NEUTOPIA - HUDSON [USA] V1"
    ,"??"
    ,"??"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 354
    0X30D4BD0E    ,"NEUTOPIA - HUDSON [USA] V2"
    ,"??"
    ,"??"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 355
    0X9D1A0F5A    ,"NEUTOPIA - HUDSON [JAP] V1"
    ,"HC89022"
    ,"17-11-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 356
    0X9C49EF11    ,"NEUTOPIA - HUDSON [JAP] V2"
    ,"HC89022"
    ,"17-11-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 357
    0XAE26F30F    ,"NEUTOPIA II - HUDSON [USA]"
    ,"TGX060078"
    ,""
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 358
    0XF0AB946E    ,"NEUTOPIA II - HUDSON [JAP] V1"
    ,"HC91047"
    ,"27-09-91"
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 359
    0X2B94AEDC    ,"NEUTOPIA II - HUDSON [JAP] V2"
    ,"HC91047"
    ,"27-09-91"
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 360
    0X595BB22A    ,"NECTARIS - HUDSON [JAP]"
    ,"HC63016"
    ,"09-02-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 361
    0X0243453B    ,"NECTARIS - HUDSON [JAP]"
    ,"HC63016"
    ,"09-02-89"
    ,"3M"
    ,"aka MILITARY MADNESS, 2p"
   },
    {//ROM NUMBER 362
    0X93F316F7    ,"MILITARY MADNESS - HUDSON [USA]"
    ,"TGX030015"
    ,""
    ,"3M"
    ,"aka NECTARIS, 2p"
   },
    {//ROM NUMBER 363
    0X106BB7B2    ,"BATMAN - SUNSOFT [JAP]"
    ,"SS90003"
    ,"12-10-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 364
    0X92C919EA    ,"BATMAN - SUNSOFT [JAP]"
    ,"SS90003"
    ,"12-10-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 365
    0X25DE250A    ,"AOI BLINK - HUDSON [JAP]"
    ,"HC90030"
    ,"27-04-90"
    ,"3M"
    ,"aka BLUE BLINK"
   },
    {//ROM NUMBER 366
    0X08A09B9A    ,"AOI BLINK - HUDSON [JAP]"
    ,"HC90030"
    ,"27-04-90"
    ,"3M"
    ,"aka BLUE BLINK"
   },
    {//ROM NUMBER 367
    0X79362389    ,"1943 KAI - CAPCOM [JAP]"
    ,"NX91002"
    ,"22-03-91"
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 368
    0XFDE08D6D    ,"1943 KAI - NAXAT [JAP]"
    ,"NX91002"
    ,"22-03-91"
    ,"4M"
    ,"2p"
   },
    {//ROM NUMBER 369
    0X4BD38F17    ,"GOMOLA SPEED - UPL [JAP]"
    ,"UP02002"
    ,"28-09-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 370
    0X6E297E49    ,"GOMOLA SPEED - UPL [JAP]"
    ,"UP02002"
    ,"28-09-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 371
    0X00C38E69    ,"RASTAN SAGA II - TAITO [JAP]"
    ,"TP02012"
    ,"06-07-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 372
    0X85B85FF9    ,"RASTAN SAGA II - TAITO [JAP]"
    ,"TP02012"
    ,"06-07-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 373
    0X70749841    ,"TV SPORTS BASKETBALL - CINEMAWARE [JAP]"
    ,""
    ,"29-04-93"
    ,""
    ,"5p"
   },
    {//ROM NUMBER 374
    0X9A41C638    ,"TV SPORTS BASKETBALL - CINEMAWARE [USA]"
    ,""
    ,""
    ,""
    ,"5p"
   },
    {//ROM NUMBER 375
    0XDA059C9B    ,"TV SPORTS FOOTBALL - VICTOR [JAP]"
    ,"JC63008"
    ,"29-03-91"
    ,""
    ,""
   },
    {//ROM NUMBER 376
    0X968D908A    ,"TV SPORTS FOOTBALL - VICTOR [JAP]"
    ,"JC63008"
    ,"29-03-91"
    ,""
    ,""
   },
    {//ROM NUMBER 377
    0XBB3CA04A    ,"BUBBLEGUM CRASH - ARTMIC [JAP]"
    ,"NX91005"
    ,"06-12-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 378
    0X0D766139    ,"BUBBLEGUM CRASH - ARTMIC [JAP]"
    ,"NX91005"
    ,"06-12-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 379
    0XFAE0FC60    ,"ORDER OF THE GRIFFON - SSL [USA]"
    ,"TGX040072"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 380
    0XCAE1F5DB    ,"ORDER OF THE GRIFFON - SSL [USA]"
    ,"TGX040072"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 381
    0X4CAA6BE9    ,"SILENT DEBUGGERS - DATA EAST [USA]"
    ,"??"
    ,"???"
    ,"??"
    ,"1p"
   },
    {//ROM NUMBER 382
    0X616EA179    ,"SILENT DEBUGGERS - DATA EAST [JAP]"
    ,"DE90004"
    ,"29-03-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 383
    0X9FB4DE48    ,"RACING SPIRITS - IREM [JAP]"
    ,"ICO3006"
    ,"19-07-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 384
    0X3E79734C    ,"RACING SPIRITS - IREM [JAP]"
    ,"ICO3006"
    ,"19-07-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 385
    0XAE9FE1AA    ,"NINJA SPIRIT - IREM [USA]"
    ,"TGX040050"
    ,""
    ,"4M"
    ,""
   },
    {//ROM NUMBER 386
    0X0590A156    ,"NINJA SPIRIT - IREM [JAP]"
    ,"IC02004"
    ,"06-07-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 387
    0XDCF3675C    ,"DRAGON SPIRIT - NAMCO [USA]"
    ,"??"
    ,"26-12-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 388
    0X01A76935    ,"DRAGON SPIRIT - NAMCO [JAP]"
    ,"NC63003"
    ,"26-12-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 389
    0X1E1D0319    ,"DARIUS PLUS - TAITO [JAP] - SGX"
    ,"NAPH-1009"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 390
    0XBEBFE042    ,"DARIUS"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 391
    0XBC655CF3    ,"SHINOBI - ASMIK [JAP]"
    ,"AS01001"
    ,"08-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 392
    0X471903C6    ,"SHINOBI - ASMIK [JAP]"
    ,"AS01001"
    ,"08-12-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 393
    0XC8A412E1    ,"VIGILANTE - IREM [USA]"
    ,""
    ,""
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 394
    0XEB4E600B    ,"VIGILANTE - IREM [JAP]"
    ,"IC63001"
    ,"14-01-89"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 395
    0XE4124FE0    ,"VIGILANTE - IREM [USA]"
    ,""
    ,""
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 396
    0XCACC06FB    ,"ANKOKO DENSETSU - ATLUS [JAP]"
    ,"BG01003"
    ,"28-06-89"
    ,"4M"
    ,"aka LEGENDARY AXE II"
   },
    {//ROM NUMBER 397
    0X07A226FB    ,"LEGENDARY AXE, THE - NEC [USA]"
    ,"TGX020003"
    ,""
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 398
    0X088D896D    ,"LEGENDARY AXE II, THE - NEC [USA]"
    ,"??"
    ,""
    ,"??"
    ,"1p"
   },
    {//ROM NUMBER 399
    0XCFCFC7BE    ,"FINAL LAP TWIN - NAMCO [JAP]"
    ,"NC89003"
    ,"07-07-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 400
    0XC8C084E3    ,"FINAL LAP TWIN - NAMCO [JAP]"
    ,"NC89003"
    ,"07-07-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 401
    0X854C37B3    ,"FINAL LAP TWIN - NAMCO [USA]"
    ,"NC89003"
    ,"07-07-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 402
    0XCEC3D28A    ,"R TYPE I - IREM [JAP]"
    ,"HC63007"
    ,"25-03-88"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 403
    0X149D0511    ,"R TYPE I - IREM [JAP]"
    ,"HC63007"
    ,"25-03-88"
    ,"2M"
    ,"1p (BOOTLEG TRAINER VERSION)"
   },
    {//ROM NUMBER 404
    0XF207ECAE    ,"R TYPE II - IREM [JAP]"
    ,"HC63009"
    ,"03-06-88"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 405
    0X98B03EC9    ,"R TYPE COMPLETE [USA]"
    ,""
    ,""
    ,""
    ,"CRACKED TO WORK ON JAP PC-E"
   },
    {//ROM NUMBER 406
    0X9E2CF932    ,"R TYPE COMPLETE [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 407
    0XE6458212    ,"PARASOL STARS - TAITO [USA]"
    ,""
    ,""
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 408
    0X786D9BBD    ,"PARASOL STARS - TAITO [JAP 512k]"
    ,""
    ,""
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 409
    0X45885AFB    ,"PARASOL STARS - TAITO [JAP]"
    ,""
    ,""
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 410
    0X51E86451    ,"PARASOL STARS - TAITO [USA]"
    ,""
    ,""
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 411
    0X1E2CBCF8    ,"DUNGEON EXPLORER - [USA]"
    ,"??"
    ,"??"
    ,"3M"
    ,"5p"
   },
    {//ROM NUMBER 412
    0XF79657DD    ,"DUNGEON EXPLORER - HUDSON [JAP]"
    ,"HC63015"
    ,"04-03-89"
    ,"3M"
    ,"5p"
   },
    {//ROM NUMBER 413
    0X1B1A80A2    ,"DUNGEON EXPLORER - ATLUS [JAP]"
    ,"HC63015"
    ,"04-03-89"
    ,"3M"
    ,"5p"
   },
    {//ROM NUMBER 414
    0X231B1535    ,"TATSUJIN - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 415
    0XA6088275    ,"TATSUJIN - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 416
    0X589D33EB    ,"KING OF CASINO - VICTOR [USA]"
    ,"???"
    ,"???"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 417
    0XE4B3415C    ,"KING OF CASINO - VICTOR [JAP]"
    ,"JC63006"
    ,"30-03-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 418
    0XBF52788E    ,"KING OF CASINO - VICTOR [JAP]"
    ,"JC63006"
    ,"30-03-90"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 419
    0X4938B8BB    ,"POPULOUS - HUDSON [JAP]"
    ,"HC91041"
    ,"05-04-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 420
    0X31E2E7B6    ,"POPULOUS - HUDSON [JAP]"
    ,"HC91041"
    ,"05-04-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 421
    0X850829F2    ,"RAIDEN - SEIBU KAIHATSU [???]"
    ,"HC91049"
    ,"22-11-91"
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 422
    0XC7847DF7    ,"RAIDEN - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 423
    0XB99A85B6    ,"RAIDEN - SEIBU KAIHATSU [JAP]"
    ,"HC91049"
    ,"22-11-91"
    ,"6M"
    ,"1p"
   },
    {//ROM NUMBER 424
    0X2841FD1E    ,"WONDERBOY IN MONSTERLAND - HUDSON [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 425
    0X02DB6FE5    ,"WONDERBOY IN MONSTERLAND - HUDSON [English translation V2]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 426
    0X38E2917D    ,"WONDERBOY IN MONSTERLAND - HUDSON [English translation]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 427
    0X72A2C22C    ,"BARI BARI DENSETSU - TAITO [JAP]"
    ,"TP01003"
    ,"29-11-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 428
    0XC267E25D    ,"BARI BARI DENSETSU - TAITO [JAP]"
    ,"TP01003"
    ,"29-11-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 429
    0XED3A71F8    ,"JACKIE CHAN'S ACTION KUNG FU - HUDSON [USA]"
    ,"TGX040079"
    ,""
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 430
    0XC6FA6373    ,"JACKIE CHAN ACTION KUNGFU - HUDSON [JAP]"
    ,"HC90032"
    ,"18-01-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 431
    0X3920105A    ,"ANDRE PANZA KICK BOXING - NEC [USA]"
    ,"??"
    ,"??"
    ,"??"
    ,""
   },
    {//ROM NUMBER 432
    0X8F02FD20    ,"POWER GOLF - HUDSON [???]"
    ,"HC89018"
    ,"25-05-89"
    ,""
    ,""
   },
    {//ROM NUMBER 433
    0XEA324F07    ,"POWER GOLF - HUDSON [???]"
    ,"HC89018"
    ,"25-05-89"
    ,""
    ,""
   },
    {//ROM NUMBER 434
    0X7ACB60C8    ,"HIT THE ICE - TAITO [JAP]"
    ,"TP03019"
    ,"20-09-91"
    ,"4M"
    ,"4p"
   },
    {//ROM NUMBER 435
    0X775BD3E1    ,"HIT THE ICE - TAITO [JAP]"
    ,"TPO3019"
    ,"20-09-91"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 436
    0X805A34B9    ,"TV SPORTS ICE HOCKEY - VICTOR [JAP]"
    ,"JC63013"
    ,"29-04-93"
    ,""
    ,""
   },
    {//ROM NUMBER 437
    0X4DF54B81    ,"TV SPORTS HOCKEY - NEC [USA]"
    ,"TGX030064"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 438
    0X04BF5EAF    ,"TV SPORTS HOCKEY - NEC [USA]"
    ,"TGX030064"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 439
    0X4CEF0456    ,"WALLABY!! - MASYNYA [JAP]"
    ,"NCS90005"
    ,"14-12-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 440
    0X0112D0C7    ,"WALLABY!! - MASYNYA [JAP]"
    ,"NCS90005"
    ,"14-12-90"
    ,"3M"
    ,"1p"
   },
    {//ROM NUMBER 441
    0X958BCD09    ,"BLODIA - HUDSON [JAP]"
    ,"HC90027"
    ,"23-03-90"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 442
    0X05A4B72E    ,"TIMEBALL - HUDSON [USA]"
    ,"?"
    ,"?"
    ,"2M"
    ,"1p (AKA BLODIA)"
   },
    {//ROM NUMBER 443
    0X09509315    ,"TWIN COBRA - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 444
    0XA586D190    ,"TWIN COBRA - TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 445
    0X43EFC974    ,"PARANOIA - NAXAT [JAP]"
    ,"NX90001"
    ,"01-03-90"
    ,"2M"
    ,"aka PSYCHOSIS, 2p"
   },
    {//ROM NUMBER 446
    0X9893E0E6    ,"PARANOIA - NAXAT [JAP]"
    ,"NX90001"
    ,"01-03-90"
    ,"2M"
    ,"aka PSYCHOSIS, 2p"
   },
    {//ROM NUMBER 447
    0X73E994A0    ,"PARANOIA - NAXAT [JAP]"
    ,"NX90001"
    ,"01-03-90"
    ,"2M"
    ,"aka PSYCHOSIS, 2p"
   },
    {//ROM NUMBER 448
    0X73614660    ,"21 EMON - NEC [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 449
    0X5E4FA713    ,"ARTIST TOOL - HUDSON [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 450
    0X320F5018    ,"TENNOKOE BANK [JAP]"
    ,"HC692"
    ,"XX-XX-91"
    ,""
    ,"EXTRA BACKUP RAM CARD"
   },
    {//ROM NUMBER 451
    0X968770F6    ,"BE BALL - TAISANG VERSION [JAP]"
    ,"HC90028"
    ,"30-03-90"
    ,"2M"
    ,"aka CHEW-MAN-FU, 2p"
   },
    {//ROM NUMBER 452
    0X6EAB778C    ,"R TYPE II - TAISANG VERSION [JAP]"
    ,"HC63009"
    ,"03-06-88"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 453
    0X4F2BD39F    ,"HYPERDYNE SIDEARMS - TAISANG VERSION [JAP]"
    ,"H54G-1004"
    ,"14-07-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 454
    0XDE963B7E    ,"HYPERDYNE SIDEARMS - MAGAE CHIP VERSION [JAP]"
    ,"H54G-1004"
    ,"14-07-89"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 455
    0XB0BA689F    ,"DARIUS ALPHA - NEC AVENUE & TAITO [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 456
    0XE1A73797    ,"BENKEI - SUNSOFT [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 457
    0X02A578C5    ,"FINAL SOLDIER SPECIAL VERSION - HUDSON [JAP]"
    ,""
    ,"XX-XX-91"
    ,"4M"
    ,"1p"
   },
    {//ROM NUMBER 458
    0X57F183AE    ,"GUNHED SPECIAL VERSION - HUDSON [JAP]"
    ,""
    ,"XX-XX-89"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 459
    0X95F90DEC    ,"GAI FLAME - MASYNYA & NCS [JAP]"
    ,""
    ,"XX-XX-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 460
    0XCC799D92    ,"HATRIS - BULLET PROOF [JAP]"
    ,"MC91002"
    ,"24-05-91"
    ,""
    ,""
   },
    {//ROM NUMBER 461
    0X8E71D4F3    ,"ADVENTURE ISLAND - HUDSON [JAP]"
    ,""
    ,""
    ,""
    ,"aka DRAGON'S CURSE, 1p"
   },
    {//ROM NUMBER 462
    0X62EC2956    ,"WORLD COURT TENNIS - NAMCO [JAP]"
    ,"NC63004"
    ,"11-08-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 463
    0XC4EB68A5    ,"WORLD COURT TENNIS - NAMCO [JAP]"
    ,"NC63004"
    ,"11-08-88"
    ,"2M"
    ,""
   },
    {//ROM NUMBER 464
    0X0AD97B04    ,"J.LEAGUE GREATEST ELEVEN SOCCER - NIHON BUSSAN [JAP]"
    ,""
    ,"XX-XX-93"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 465
    0X61B80005    ,"KNIGHT RIDER SPECIAL - PACK-IN-VIDEO [JAP]"
    ,"PV1003"
    ,"22-12-89"
    ,"2M"
    ,"1p"
   },
    {//ROM NUMBER 466
    0XF8861456    ,"MAHJONG GOKU SPECIAL - SUNSOFT [JAP]"
    ,"SS90002"
    ,"10-08-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 467
    0XB101B333    ,"MAKAIPRN? Crazy Platformer - NAXAT [JAP]"
    ,"XX-XX-90"
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 468
    0X625221A6    ,"MOMO TAROU DENSETSU TURBO - HUDSON [JAP]"
    ,"HC90034"
    ,"20-07-90"
    ,"3M"
    ,""
   },
    {//ROM NUMBER 469
    0XD9E1549A    ,"MOMO TAROU DENTETSU II - HUDSON [JAP]"
    ,"HC90040"
    ,"22-12-90"
    ,"6M"
    ,""
   },
    {//ROM NUMBER 470
    0X0441D85A    ,"NAZONO????? [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 471
    0X20A7D128    ,"NAXAT STADIUM - NAXAT [JAP]"
    ,"NX90006"
    ,"26-10-90"
    ,"4M"
    ,""
   },
    {//ROM NUMBER 472
    0X52520BC6    ,"CD-ROM SYSTEM VER. 2.00 - NEC [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 473
    0X9759A20D    ,"SUPER CD-ROM2 SYSTEM VER. 3.00 - NEC [USA?]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 474
    0XC5FDFA89    ,"POWER LEAGUE II - HUDSON [JAP]"
    ,"HC89020"
    ,"08-08-89"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 475
    0X8AA4B220    ,"POWER LEAGUE III - HUDSON [JAP]"
    ,"HC90037"
    ,"10-08-90"
    ,"3M"
    ,"2p"
   },
    {//ROM NUMBER 476
    0X7D3E6F33    ,"POWER LEAGUE `93 - HUDSON [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 477
    0XFAA6E187    ,"PUZZLE BOY - TELENET [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 478
    0XF2E6856D    ,"QUIZTOKO ?? - GAMES EXPRESS [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 479
    0X2BC023FC    ,"SUPER MOMO TAROU DENTETSU II - SUMMER PROJECT [JAP]"
    ,"HC91050"
    ,"20-12-91"
    ,""
    ,""
   },
    {//ROM NUMBER 480
    0X61A6E210    ,"TSUPPARI SUMO WRESTLING GAME - NAXAT [JAP]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 481
    0X10B60601    ,"TV SPORTS BASKETBALL - CINEMAWARE [JAP]"
    ,""
    ,"29-04-93"
    ,""
    ,"5p"
   },
    {//ROM NUMBER 482
    0XE7529890    ,"TV SPORTS ICE HOCKEY - VICTOR [JAP]"
    ,"JC63013"
    ,"29-04-93"
    ,""
    ,""
   },
    {//ROM NUMBER 483
    0X14DAF737    ,"TV SPORTS FOOTBALL - VICTOR [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 484
    0XF45AFBCA    ,"CADASH - TAITO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 485
    0X0258ACCB    ,"LEGEND OF HERO TONMA, THE - IREM [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 486
    0X6257CCE7    ,"SPACE HARRIER - NEC AVENUE [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 487
    0X756A1802    ,"NEW ADVENTURE ISLAND - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 488
    0X85CC9B60    ,"DEAD MOON - NATSUME [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 489
    0XC2287894    ,"DEEP BLUE - PACK-IN-VIDEO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 490
    0X390710EC    ,"CYBER CORE - IGS [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 491
    0XE84890A5    ,"CHASE HQ - TAITO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 492
    0X2BBF3090    ,"BRAVOMAN [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 493
    0X8BF34FFA    ,"BOMBERMAN - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 494
    0X26020C77    ,"BOMBERMAN `93 - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 495
    0XC02B1B59    ,"AERO BLASTERS - KANEKO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 496
    0X2A3E08E2    ,"DROP OFF - DATA EAST [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 497
    0X2739B927    ,"PAC LAND - NAMCO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 498
    0X72814ACB    ,"ORDYNE - NAMCO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 499
    0XC159761B    ,"NIGHT CREATURES - MANLEY & ASSOCIATES [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 500
    0XC81D0371    ,"PSYCHOSIS - NAXAT [USA]"
    ,""
    ,""
    ,""
    ,"aka PARANOIA"
   },
    {//ROM NUMBER 501
    0X5157A395    ,"VICTORY RUN - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 502
    0X500472D4    ,"TIGER ROAD - CAPCOM [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 503
    0X9C7A8EE4    ,"TRICKY KICK - IGS [USA]"
    ,""
    ,""
    ,""
    ,"aka TRICKY"
   },
    {//ROM NUMBER 504
    0X0C7627A9    ,"WORLD SPORTS COMPETITION [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 505
    0X4161F202    ,"WORLD WPORTS COMPETITION [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 506
    0XF0CC3363    ,"SUPER VOLLEY BALL - VIDEO SYSTEM [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 507
    0X72D6860B    ,"TIME CRUISE - FACE [USA]"
    ,""
    ,""
    ,""
    ,""
	 ,PINBALL_KEY
   },
    {//ROM NUMBER 508
    0XA019B724    ,"SPLATTERHOUSE - NAMCO [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 509
    0X284EBE25    ,"SOLDIER BLADE - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 510
    0X05054F4F    ,"SIDEARMS - CAPCOM [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 511
    0XEB9452F0    ,"MOTO ROADER - MASYNYA [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 512
    0X93F05168    ,"POWER GOLF - HUDSON [USA]"
    ,""
    ,""
    ,""
    ,""
   },
    {//ROM NUMBER 513
     0X574352C6   ,"CD ROM 2 SYSTEM 3.0 - NEC / HUDSON [USA]"
     ,""
     ,""
     ,"3M"
     ,""
    },
    {//ROM NUMBER 514
     0X6A628982   ,"ALTERED BEAST - SEGA [JAP]"
     ,""
     ,""
     ,"4M"
     ,""
    },
    {//ROM NUMBER 515
     0X4D344C8C   ,"WONDERBOY IN MONSTERLAND - HUDSON [JAP]"
     ,""
     ,""
     ,"2M"
     ,""
    },
    {//ROM NUMBER 516
     0X9BB8D362   ,"JAMANOID - THE HU62680 TEAM [USA]"
     ,""
     ,""
     ,"1M"
     ,""
    },
    {//ROM NUMBER 517
     0X67AEDE77   ,"WONDERBOY IN MONSTERLAND - HUDSON [USA]"
     ,""
     ,""
     ,"2M"
     ,""
    },
    {//ROM NUMBER 518
     0X6976D5B3   ,"15 IN 1 MEGA-COLLECTION - IMAGE [USA]"
     ,"'92"
     ,""
     ,"2M"
     ,""
    },
   {//ROM NUMBER 519
    0X6203DE23    ,"QUIZTOKO ?? - GAMES EXPRESS [JAP]"
    ,""
    ,""
    ,""
    ,""
   },



};

unsigned long filesize(FILE *F)
  {
   unsigned long old_pos,end;
   fgetpos(F,(long*)&old_pos);
   fseek(F,0,SEEK_END);
   fgetpos(F,(long*)&end);
   fseek(F,old_pos,SEEK_SET);
   return end;
   }


unsigned long CRC_file(char *name)
{
	FILE *F=fopen(name,"rb");
        unsigned char *tmp_data;
	unsigned long taille,index,CRC=-1,true_size;

	if (!F)
	  return -1;

	taille=filesize(F);
        true_size=taille & 0xFFFFF000;
	if (taille & 0x0FFF)
	 {
	      //fprintf(stderr,"HEADER OF 0X%X BYTES\n",taille & 0x0FFF);
	      fseek(F,taille & 0x0FFF,SEEK_SET);
	 }
        if (!(tmp_data=(unsigned char*)(malloc(true_size))))
          exit(-1);
        fread(tmp_data,true_size,1,F);
	for (index=0;index<true_size;index++)
	  {
       tmp_data[index]^=CRC;
       CRC>>=8;
       CRC^=TAB_CONST[tmp_data[index]];
	   }
        free(tmp_data);
	CRC=~CRC;
//	fprintf(stderr,"CRC = 0X%lX\n",CRC);
	fclose(F);
	return CRC;
}

