#ifdef SOUND

#include "allegro.h"
#include <audio.h> //SEAL include

#define SOUND_BUF_MS	200
// I think it's too long but for a beginning it'll be enough

#define SBUF_SIZE_BYTE  44100*SOUND_BUF_MS/1000
// Calculated for mono sound

DWORD	dwOldPos[6];
// the previous position of written data
// I think there's a bug because this is not correctly set
// It only take the value of dwNewPos but dwNewPosnever goes back
// excepted at the end of the buffer where it goes at 3/4 of the
// total lenght; It looks strange to me...

char*	sbuf[6];//[SBUF_SIZE_BYTE];
//unsigned	short sbuf[6][SBUF_SIZE_BYTE];
// the buffer where the "DATA-TO-SEND-TO-THE-SOUND-CARD" go
// one for each channel

char main_buf[SBUF_SIZE_BYTE];
//unsigned	short main_buf[SBUF_SIZE_BYTE];
// the mixed buffer, may be removed later for hard mixing...

DWORD	CycleOld;
// indicates the last time music has been "released"

int	BaseClock=7170000;
// the freq of the internal PC Engine CPU
// the sound use a kind of "relative" frequency


//typedef unsigned int DWORD;
//typedef unsigned short WORD;
// already included in audio.h

#ifndef TRUE
  #define FALSE 0
  #define TRUE 1
#endif

     #define max(a,b) \
       ({typedef _ta = (a), _tb = (b);  \
         _ta _a = (a); _tb _b = (b);     \
         _a > _b ? _a : _b; })

#include <stdio.h> // for stderr
#include "pce.h"
extern IO	io;
extern M6502	M;

extern int     smode;

extern int freq_int;

DWORD ds_nChannels = 1;

HAC hVoice;

//static int bInitialized = FALSE;

//void WriteBuffer(char *buf, int ch, DWORD dwSize);

extern char silent;

LPAUDIOWAVE lpWave;

int InitSound()
{
	for (silent=0;silent<6 ;silent++ )
	 {
		sbuf[silent]=(char*)xmalloc(SBUF_SIZE_BYTE);
		memset(sbuf[silent],0,SBUF_SIZE_BYTE);
	 }
	silent = 1;

	if (smode == 0) // No sound
		return TRUE;

	AInitialize();
	// Init the SEAL library
	//Ainitilized=1;


	if (smode==-1)
	  {
        AUDIOCAPS caps;
        UINT nDeviceId;

		  printf("  Entering Autodetection mode.\n");


        if (APingAudio(&nDeviceId) != AUDIO_ERROR_NONE) {
            printf("  No audio device found.\n");
				return FALSE;
        }
        else {
            AGetAudioDevCaps(nDeviceId, &caps);
            printf("  %s device found.\n", caps.szProductName);
				silent=0;
        }
    }

   // Now, we can really initialize the card

	{
        AUDIOINFO info;

        info.nDeviceId = AUDIO_DEVICE_MAPPER;
        info.wFormat = AUDIO_FORMAT_8BITS | AUDIO_FORMAT_MONO;
        info.nSampleRate = freq_int;
        if (AOpenAudio(&info) != AUDIO_ERROR_NONE) {
            printf("  Audio initialization failed.\n");
            exit(1);
        }
        else {
            printf(" Audio device initialized at %d bits %s %u Hz\n",
                   info.wFormat & AUDIO_FORMAT_16BITS ? 16 : 8,
                   info.wFormat & AUDIO_FORMAT_STEREO ? 
                   "stereo": "mono", info.nSampleRate);
        }
    }

  printf("  Allocation sound buffer\n");
  fflush(stdout);
  AOpenVoices(1);

/*  for (dum=0;dum<6 ;dum++ )
	{*/
    ACreateAudioVoice(&hVoice);
    ASetVoiceVolume(hVoice,64);
	// ASetAudioMixerValue(AUDIO_MIXER_MASTER_VOLUME,127);
   //}

   {
		//  for (dum=0;dum<6;dum++)
		//	  {
        /* first allocate structure to hold the waveform object */
        if ((lpWave = (LPAUDIOWAVE) malloc(sizeof(AUDIOWAVE))) != NULL) {
            /* create a 8-bit mono one-shot waveform object */
            lpWave->wFormat = AUDIO_FORMAT_8BITS | AUDIO_FORMAT_MONO | AUDIO_FORMAT_LOOP;
            lpWave->nSampleRate = freq_int;
            lpWave->dwLength = SBUF_SIZE_BYTE;
            lpWave->dwLoopStart = 0;
				//lpWave->dwLoopEnd = SBUF_SIZE_BYTE; //pWave->dwLength;
				lpWave->dwLoopEnd = lpWave->dwLength;
            if (ACreateAudioData(lpWave) != AUDIO_ERROR_NONE) {
                free(lpWave);
                return FALSE;
            }
            /* copy the data into the waveform object */
            memset(lpWave->lpData, 0x80, SBUF_SIZE_BYTE);
            /* upload the data to the audio DRAM local memory */
            AWriteAudioData(lpWave, 0L, lpWave->dwLength);
        }
    //  } // FOR
    }

  //for (dum=0;dum<6 ; dum++)
    APlayVoice(hVoice,lpWave);
	 printf("  Begin sound playing\n");

  return 0;
}

void TrashSound(void)                   /* Shut down sound  */
{
	//DeleteCriticalSection(&cs);

	//if (!bInitialized)
	unsigned	char dum;

if (!silent)
  {
		//{*/
	     AStopVoice(hVoice);
	     ADestroyAudioVoice(hVoice);
      //}
	     ACloseVoices();
	     ACloseAudio();
  	 for (dum=0;dum<6;dum++)
		free(sbuf[dum]);
	 silent=1;
  }

		return;
	//bInitialized = FALSE;

	//StopSound();
	//ReleaseDSound();
}




/*void write_psg_dos()
{
 int i;
 byte voiceptr = &io.psg[0];
  for (i = 0; i < 6; i++) {

    if (*(voiceptr+4) & 0x80) {

      if (*(voiceptr+4) & 0x40) {
        sound_byte += *voiceptr;
      } else {

        voiceptr->wave_data_play_idx += voiceptr->cnt_int;
        voiceptr->wave_data_play_idx_frac += voiceptr->cnt_frac;
        if (voiceptr->wave_data_play_idx_frac > voiceptr->freq) {
           voiceptr->wave_data_play_idx_frac -= voiceptr->freq;
           voiceptr->wave_data_play_idx++;
        }
        voiceptr->wave_data_play_idx &= 31;

        // range = 0 - 0x1A5E:
        sound_byte += voiceptr->wave_data_l[voiceptr->wave_data_play_idx];
      }
    }
    voiceptr+=8;
  }
};*/

	DWORD	dwNewPos;

void write_psg(int ch)
{
	DWORD	Cycle;


	// if ((int)((DWORD)M.User - CycleOld) < 0)
	//	CycleOld = (DWORD)M.User;

	if ((unsigned)M.User!=CycleOld)
	  {
	    Cycle = (unsigned)M.User - CycleOld;
	    CycleOld = (unsigned)M.User;
     };

   dwNewPos = (unsigned)((float)(freq_int)*(float)Cycle/(float)BaseClock);
	// in fact, size of the data to write

	if (dwNewPos > (DWORD)freq_int*SOUND_BUF_MS/1000)
	{
#ifndef FINAL_RELEASE
		fprintf(stderr,"sound buffer overrun\n");
#endif
      dwNewPos = freq_int*SOUND_BUF_MS/1000;
		   // Ask it to fill the buffer
	}

		//WriteBuffer(&sbuf[ch][dwOldPos[ch]*ds_nChannels], ch, /*min(*/(dwNewPos-dwOldPos[ch])*ds_nChannels/*,44100*SOUND_BUF_MS/1000*sizeof(WORD)*2-dwOldPos[ch]*ds_nChannels)*/);

      WriteBuffer(sbuf[ch], ch, dwNewPos*ds_nChannels);
		//WriteBuffer(sbuf[ch], ch, dwNewPos*ds_nChannels*2);
		// write DATA 'til dwNewPos

};
END_OF_FUNCTION(write_psg);

int mseq(DWORD *rand_val)
{
	if (*rand_val & 0x00080000)
	{
		*rand_val = ((*rand_val ^ 0x0004) << 1) + 1;
		return 1;
	}
	else
	{
		*rand_val <<= 1;
		return 0;
	}
};
END_OF_FUNCTION(mseq);

/*void WriteSoundData(WORD *buf, int ch, DWORD dwSize)
{
	DWORD	dwNewPos;

//	EnterCriticalSection(&cs);
	dwNewPos = dwSize/ds_nChannels;
	if (dwOldPos[ch] < dwNewPos)
		WriteBuffer(&sbuf[ch][dwOldPos[ch]*ds_nChannels], ch, (dwNewPos-dwOldPos[ch])*ds_nChannels);
	CycleOld = (DWORD)M.User;
	memcpy(buf, sbuf[ch], dwSize*sizeof(WORD));
	if (dwOldPos[ch] >= dwNewPos)
	{
		if (dwOldPos[ch] >= (DWORD)freq_int*SOUND_BUF_MS/(1000*100/95))
		{
			DWORD	size = freq_int*SOUND_BUF_MS/4/1000;
			memcpy(sbuf[ch], sbuf[ch]+dwNewPos*ds_nChannels, size*sizeof(WORD)*ds_nChannels);
			dwOldPos[ch] = size;
		}
		else
		{
			memcpy(sbuf[ch], sbuf[ch]+dwNewPos*ds_nChannels, (dwOldPos[ch]-dwNewPos)*sizeof(WORD)*ds_nChannels);
			dwOldPos[ch] = dwOldPos[ch]-dwNewPos;
		}
	}
	else
		dwOldPos[ch] = 0;
//	LeaveCriticalSection(&cs);
}
/*
#ifdef _DEBUG
void debug_dump(char *str, ...)
{
	va_list	arg;
	va_start(arg, str);
	FILE *fp = fopen("c:\\sound.dmp", "a+");
	vfprintf(fp, str, arg);
	fclose(fp);
	va_end(arg);
}
#endif
*/

extern fixed snd_pos[];
extern fixed snd_inc[];
extern FILE* out_snd;

void WriteBuffer(char *buf, int ch, unsigned  dwSize)
{
//#ifdef _DEBUG
//	if (ch == 0)
//		debug_dump("%08X-%08X\n", buf-sbuf[ch], buf-sbuf[ch]+dwSize);
//#endif


	static DWORD	n[6] = {0,0,0,0,0,0};
// represent the current pointer in the ring buffer of the given chanel


#define	N	32
	static DWORD	k[6] = {0,0,0,0,0,0};

	static DWORD	t;
// used to know how much we got to advance in the ring buffer

//	static BOOL		bInit = TRUE;
	static DWORD	r[6];


	static DWORD	rand_val[6] = {0,0,0,0,0x51F631E4,0x51F631E4};
// random seed for 'noise' generation

   WORD	wave[32];


	// a*2^(b*x)
	// a = 400, b = log2(16384/a), x = 0.0 ~ 1.0
//	static int		vol_tbl[32] =
//	{
//		100,451,508,573,646,728,821,925,
//		1043,1175,1325,1493,1683,1898,2139,2411,
//		2718,3064,3454,3893,4388,4947,5576,6285,
//		7085,7986,9002,10148,11439,12894,14535,16384,
//	};

	static char		vol_tbl[32] =
	{
		100/256,451/256,508/256,573/256,646/256,728/256,821/256,925/256,
		1043/256,1175/256,1325/256,1493/256,1683/256,1898/256,2139/256,2411/256,
		2718/256,3064/256,3454/256,3893/256,4388/256,4947/256,5576/256,6285/256,
		7085/256,7986/256,9002/256,10148/256,11439/256,12894/256,14535/256,16384/256
	};


	DWORD	dwPos;
	int	lvol, rvol,i;
	DWORD	Tp;
	//unsigned	dum=0;

	if (!(io.PSG[ch][4]&0x80))
	{
	   // voice off
		n[ch] = k[ch] = 0;
		for (dwPos = 0; dwPos < dwSize; dwPos++)
			*buf++ = 0;
      //memset(buf,0,dwSize);
		//memset(sbuf[ch],0,dwSize);
		return;
	}

//	TRACE("buf=%08X,size=%08X\n", buf, dwSize);

	if ((io.PSG[ch][4]&0x40) /*&& (ch!=5)*/)
	{
//		fprintf(stderr,"wave=%d\n", io.wave[ch][0]);
		wave[0] = ((signed char)io.wave[ch][0]-16);
//		if (ds_nChannels == 2)
//		{
//			lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
//			lvol = lvol-60;
//			if (lvol < 0) lvol = 0;
//			lvol = (int)(short)wave[0]*vol_tbl[lvol]/16384;
//			rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
//			rvol = rvol-60;
//			if (rvol < 0) rvol = 0;
//			rvol = (int)(short)wave[0]*vol_tbl[rvol]/16384;
//			for (dwPos = 0; dwPos < dwSize; dwPos += 2)
//			{
//				*buf++ = (WORD)lvol;
//				*buf++ = (WORD)rvol;
//			}
//		}
//		else
		{
			lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
						max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
			lvol = lvol-60;
			if (lvol < 0) lvol = 0;
			lvol = (signed char)wave[0]*vol_tbl[lvol]/64/256;
			//lvol = (((io.psg_volume>>4)&0x0F) + ((io.psg_volume)&0x0F))
			//	  + (io.PSG[ch][4]&0x1F)
			//	  + (((io.PSG[ch][5]>>4)&0x0F) + ((io.PSG[ch][5])&0x0F));
			// lvol = [| 0..95 |]

			//lvol = (wave[0] * lvol) / 48;
			for (dwPos = 0; dwPos < dwSize; dwPos++)
			{
				*buf++ = (WORD)lvol;
			}
			//memset(buf,lvol,dwSize);
			//memset(sbuf[ch],lvol,dwSize);
		}
	}
	else
	{
//for (dwPos = 0; dwPos < dwSize; dwPos++)
//	*buf++ = 0;
//return;
		if (ch >= 4 && (io.PSG[ch][7]&0x80)) //Noise
		{
			DWORD Np = (io.PSG[ch][7]&0x1F); //Noise 'frequency'
//			if (ds_nChannels == 2) // STEREO DISABLED
//			{
//				lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
//				lvol = lvol-60;
//				if (lvol < 0) lvol = 0;
//				lvol = vol_tbl[lvol];
//				rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
//				rvol = rvol-60;
//				if (rvol < 0) rvol = 0;
//				rvol = vol_tbl[rvol];
//				for (dwPos = 0; dwPos < dwSize; dwPos += 2)
//				{
//					k[ch] += 3000+Np*512;
//					t = k[ch] / (DWORD)freq_int;
//					if (t >= 1)
//					{
//						r[ch] = mseq(&rand_val[ch]);
//						k[ch] -= freq_int*t;
//					}
//					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*lvol/64);
//					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*rvol/64);
//				}
//			}
//			else  // MONO
			{
				lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
							max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
            //average sound level

				lvol = lvol-60;

				if (lvol < 0) lvol = 0;
				lvol = vol_tbl[lvol];
				// get cooked volume

			//lvol = (((io.psg_volume>>4)&0x0F) + ((io.psg_volume)&0x0F))
			//	  + (io.PSG[ch][4]&0x1F)
			//	  + (((io.PSG[ch][5]>>4)&0x0F) + ((io.PSG[ch][5])&0x0F));
			// lvol = [| 0..95 |]

			//lvol = (wave[0] * lvol) / 12;


				for (dwPos = 0; dwPos < dwSize; dwPos++)
				{
 				   k[ch] += 3000+Np*512;

					t = k[ch] / (DWORD)freq_int;

					if (t >= 1)
					{
						r[ch] = mseq(&rand_val[ch]);
						k[ch] -= freq_int*t;
					}
					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*lvol/64/256);
					//sbuf[ch][dum++] = (WORD)((r[ch] ? 10*702 : -10*702)*lvol/64/256);
					//*buf++ = (r[ch] ? 32 : -32) * lvol / 24;
				}
			}
			return;
		} // END NOISE

		for (i = 0; i < 32; i++)
			wave[i] = (io.wave[ch][i]-16)*3;
		// load the data in IO


		Tp = io.PSG[ch][2]+((DWORD)io.PSG[ch][3]<<8);
                  // Tp = frequency

		if (Tp == 0)
		{  // NO SOUND
			for (dwPos = 0; dwPos < dwSize; dwPos++)
				*buf++ = 0;
			//memset(buf,0,dwSize);
			//memset(buf,0,dwSize);
			return;
		}

//		if (ds_nChannels == 2)  //STEREO TOTALLY DISABLED
//		{
//			lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
//			lvol = lvol-60;
//			if (lvol < 0) lvol = 0;
//			lvol = vol_tbl[lvol];
//			rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
//			rvol = rvol-60;
//			if (rvol < 0) rvol = 0;
//			rvol = vol_tbl[rvol];
//			for (dwPos = 0; dwPos < dwSize; dwPos += 2)
//			{
//				*buf++ = (WORD)((int)(short)wave[n[ch]]*lvol/64);
//				*buf++ = (WORD)((int)(short)wave[n[ch]]*rvol/64);
//				k[ch] += N*1118608/Tp;
//				t = k[ch] / (10*(DWORD)freq_int);
//				n[ch] = (n[ch]+t)%N;
//				k[ch] -= 10*freq_int*t;
//			}
//		}
//		else
		{  // MONO
			lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
						max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
			lvol = lvol-60;
			//fprintf(stderr,"%d\n",lvol);
			if (lvol < 0) lvol = 0;
			lvol = vol_tbl[lvol];
			// get cooked volume

//			lvol = (((io.psg_volume>>4)&0x0F) + ((io.psg_volume)&0x0F))
//				  + (io.PSG[ch][4]&0x1F)
//				  + (((io.PSG[ch][5]>>4)&0x0F) + ((io.PSG[ch][5])&0x0F));
			// lvol = [| 0..95 |]

//			lvol = (wave[0] * lvol) / 12;


			for (dwPos = 0; dwPos < dwSize; dwPos++)
			{  // fill the buffer
				*buf++ = (char)(wave[n[ch]]*lvol/16);
				//sbuf[ch][dwPos] = wave[n[ch]]*lvol/16;
				//*buf++ = wave[n[ch]]*lvol/48;


				//if (ch==1)
				  //fwrite(buf-1,1,1,out_snd);
				  //fprintf(stderr,"Je viens d'crire %d en 1\n",*(buf-1));
				  //fprintf(stderr,"sbuf[1] = %p\n",sbuf[1]);

				k[ch] += N*1118608/Tp;

				t = k[ch] / (10*(DWORD)freq_int);
				// the value to advance in the ring buffer

				n[ch] = (n[ch]+t)%N;
				// advancing the pointer

				k[ch] -= 10*freq_int*t;
//				*buf++ = (char)(wave[fixtoi(snd_pos[ch])]*lvol/16);
//				//sbuf[ch][dum++] = (char)(wave[fixtoi(snd_pos[ch])]*lvol/16);
//
//		      snd_pos[ch]+=snd_inc[ch];
//            snd_pos[ch]&=31*65535+65536;

			}
		}
	}
};

END_OF_FUNCTION(WriteBuffer);
#ifdef 0

void WriteBuffer(WORD *buf, int ch, DWORD dwSize)
{
//#ifdef _DEBUG
//	if (ch == 0)
//		debug_dump("%08X-%08X\n", buf-sbuf[ch], buf-sbuf[ch]+dwSize);
//#endif
	static DWORD	n[6] = {0,0,0,0,0,0};
#define	N	32
	static DWORD	k[6] = {0,0,0,0,0,0};
	static DWORD	t;
//	static BOOL		bInit = TRUE;
	static DWORD	r[6];
	static DWORD	rand_val[6] = {0,0,0,0,0x51F631E4,0x51F631E4};
	static WORD		wave[32];
	/* a*2^(b*x) */
	/* a = 400, b = log2(16384/a), x = 0.0 ~ 1.0 */
	static int		vol_tbl[32] =
	{
		100,451,508,573,646,728,821,925,
		1043,1175,1325,1493,1683,1898,2139,2411,
		2718,3064,3454,3893,4388,4947,5576,6285,
		7085,7986,9002,10148,11439,12894,14535,16384,
	};
	DWORD	dwPos;
	int		lvol, rvol;
	DWORD	Tp;
	int i;

	if (!(io.PSG[ch][4]&0x80))
	{
		n[ch] = k[ch] = 0;
		for (dwPos = 0; dwPos < dwSize; dwPos++)
			*buf++ = 0;
		return;
	}

//	TRACE("buf=%08X,size=%08X\n", buf, dwSize);

	if (io.PSG[ch][4]&0x40)
	{
//		TRACE("wave=%d\n", io.wave[ch][0]);
		wave[0] = ((short)io.wave[ch][0]-16)*702;
		if (ds_nChannels == 2)
		{
			lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
			lvol = lvol-60;
			if (lvol < 0) lvol = 0;
			lvol = (int)(short)wave[0]*vol_tbl[lvol]/16384;
			rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
			rvol = rvol-60;
			if (rvol < 0) rvol = 0;
			rvol = (int)(short)wave[0]*vol_tbl[rvol]/16384;
			for (dwPos = 0; dwPos < dwSize; dwPos += 2)
			{
				*buf++ = (WORD)lvol;
				*buf++ = (WORD)rvol;
			}
		}
		else
		{
			lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
						max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
			lvol = lvol-60;
			if (lvol < 0) lvol = 0;
			lvol = (int)(short)wave[0]*vol_tbl[lvol]/16384;
			for (dwPos = 0; dwPos < dwSize; dwPos++)
			{
				*buf++ = (WORD)lvol;
			}
		}
	}
	else
	{
//for (dwPos = 0; dwPos < dwSize; dwPos++)
//	*buf++ = 0;
//return;
		if (ch >= 4 && (io.PSG[ch][7]&0x80))
		{
			DWORD Np = (io.PSG[ch][7]&0x1F);
			if (ds_nChannels == 2)
			{
				lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
				lvol = lvol-60;
				if (lvol < 0) lvol = 0;
				lvol = vol_tbl[lvol];
				rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
				rvol = rvol-60;
				if (rvol < 0) rvol = 0;
				rvol = vol_tbl[rvol];
				for (dwPos = 0; dwPos < dwSize; dwPos += 2)
				{
					k[ch] += 3000+Np*512;
					t = k[ch] / (DWORD)freq_int;
					if (t >= 1)
					{
						r[ch] = mseq(&rand_val[ch]);
						k[ch] -= freq_int*t;
					}
					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*lvol/16384);
					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*rvol/16384);
				}
			}
			else
			{
				lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
							max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
				lvol = lvol-60;
				if (lvol < 0) lvol = 0;
				lvol = vol_tbl[lvol];
				for (dwPos = 0; dwPos < dwSize; dwPos++)
				{
					k[ch] += 3000+Np*512;
					t = k[ch] / (DWORD)freq_int;
					if (t >= 1)
					{
						r[ch] = mseq(&rand_val[ch]);
						k[ch] -= freq_int*t;
					}
					*buf++ = (WORD)((r[ch] ? 10*702 : -10*702)*lvol/16384);
				}
			}
			return;
		}

		for (i = 0; i < 32; i++)
			wave[i] = ((short)io.wave[ch][i]-16)*702;

		Tp = io.PSG[ch][2]+((DWORD)io.PSG[ch][3]<<8);
		if (Tp == 0)
		{
			for (dwPos = 0; dwPos < dwSize; dwPos++)
				*buf++ = 0;
			return;
		}

		if (ds_nChannels == 2)
		{
			lvol = ((io.psg_volume>>3)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]>>3)&0x1E);
			lvol = lvol-60;
			if (lvol < 0) lvol = 0;
			lvol = vol_tbl[lvol];
			rvol = ((io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) + ((io.PSG[ch][5]<<1)&0x1E);
			rvol = rvol-60;
			if (rvol < 0) rvol = 0;
			rvol = vol_tbl[rvol];
			for (dwPos = 0; dwPos < dwSize; dwPos += 2)
			{
				*buf++ = (WORD)((int)(short)wave[n[ch]]*lvol/16384);
				*buf++ = (WORD)((int)(short)wave[n[ch]]*rvol/16384);
				k[ch] += N*1118608/Tp;
				t = k[ch] / (10*(DWORD)freq_int);
				n[ch] = (n[ch]+t)%N;
				k[ch] -= 10*freq_int*t;
			}
		}
		else
		{
			lvol = max((io.psg_volume>>3)&0x1E, (io.psg_volume<<1)&0x1E) + (io.PSG[ch][4]&0x1F) +
						max((io.PSG[ch][5]>>3)&0x1E, (io.PSG[ch][5]<<1)&0x1E);
			lvol = lvol-60;
			if (lvol < 0) lvol = 0;
			lvol = vol_tbl[lvol];
			for (dwPos = 0; dwPos < dwSize; dwPos++)
			{
				*buf++ = (WORD)((int)(short)wave[n[ch]]*lvol/16384);
				k[ch] += N*1118608/Tp;
				t = k[ch] / (10*(DWORD)freq_int);
				n[ch] = (n[ch]+t)%N;
				k[ch] -= 10*freq_int*t;
			}
		}
	}
}
#endif

#endif // SOUND
